﻿let FWEditor_imagedata = (function() {
	let loadimageflag = false;
	let imgpath = "";
	// エディタ部分で使用する画像
	let editorimg = new Image();
	// メイン画面の地形、ユニットなどの情報の画像
	let maininfoimg = new Image();

	let imagepathdata = {
		maininfo:			"image/icon/maininfo.png",
		main:					"image/icon/mainimages.png",
		mainmsg:			"image/icon/mainmessages.png",
		editor:				"image/icon/editor.png",
		sub_tinfo:		"image/icon/subscreentinfo.png",
		sub_uinfo:		"image/icon/subscreenuinfo.png",
		sub_minfo:		"image/icon/subscreenminfo.png",
		sub_sinfo:		"image/icon/subscreen.png",
		unitlarge:		"image/icon/unitlarge.png",
		atmosphere:		"image/icon/atmosphere.png",
		terrain:			"image/icon/terrain.png",
		unit:					"image/icon/unit.png",
		number:				"image/icon/number.png",
		font:					"image/icon/font.png",
		shogunstatus:	"image/icon/shogunstatus.png",
		shogun:				"image/icon/shogun.png",
		shogunname:		"image/icon/shogunname.png",
		unitstatus:		"image/icon/status.png",
		cursor:				"image/icon/cursor.png",
		editor:				"image/icon/editor.png",
		bg:						"image/other/SubScreen.png",
	};
	
	let imagelist = {};
	for (let name in imagepathdata) {
		imagelist[name] = new Image();
	}

	function loadimagedata() {
		if (loadimageflag) {
			return;
		}
		loadimageflag = true;
		for (let name in imagepathdata) {
			imagelist[name].src = imgpath + imagepathdata[name];
		}
	}

	return {
		loadimagedata: function(path) {
			imgpath = path || "";
			loadimagedata();
		},
		getimagelist: function() {
			return imagelist;
		},
	};
}());

let FWEditor_data = {
	text:	{},
	image: {},
};


FWEditor_data.setdata = function(fweditor) {
	fweditor.textdata = FWEditor_data.text[fweditor.savedata.config.language];
	fweditor.imagedata = FWEditor_data.image[fweditor.savedata.config.language];
	fweditor.imagelist = FWEditor_imagedata.getimagelist();
};

FWEditor_data.text.Japanese = {
	Mainmenutxt:  [
		[ "待機", "", "" ],
		[ "攻撃", "", "" ],
		[ "占領", "", "" ],
		[ "搭載", "", "" ],
		[ "ミサイル", "", "" ],
		[ "降車", "", "" ],
		[ "かくれる", "", "" ],
		[ "もぐる", "", "" ],
		[ "出現する", "", "" ],
		[ "うかぶ", "", "" ],
		[ "補給", "", "" ],
		[ "修理", "", "" ],
		[ "爆発", "", "" ],
		[ "攻撃", "", "" ],
		[ "合流", "", "" ],
		[ "攻撃", "", "" ],
		[ "ショーグン", "ショーグン情報を", "開きます" ],
		[ "作戦", "作戦メニューを", "開きます" ],
		[ "ブレイク", "ショーグンブレイクを", "使用します" ],
		[ "Ｓブレイク", "スペシャルブレイクを", "使用します" ],
		[ "タッグ", "タッグブレイクを", "使用します" ],
		[ "システム", "システムメニューを", "開きます" ],
		[ "システム２", "システムメニュー２を", "開きます" ],
		[ "チェンジ", "ショーグンを入れ替えて", "一日を終了させます" ],
		[ "チェンジ", "ショーグンを入れ替えて", "再度行動できます" ],
		[ "終了", "一日を終了させます", "" ],
		[ "状況", "状況表を開きます", "" ],
		[ "部隊", "部隊表を開きます", "" ],
		[ "ルール", "ルール画面を開きます", "" ],
		[ "処分する", "行動前のユニットを", "処分することができます" ],
		[ "降伏する", "降伏して、", "負けを認めます" ],
		[ { normal: "晴れ", rain: "雨", sandstorm: "砂あらし", snow: "雪" }, "天気ランダム時の", { normal : "天気を晴れにします", rain: "天気を雨にします", sandstorm: "天気を砂あらしにします", snow: "天気を雪にします" }, "this.savedata.mapdata.atmosphere" ],
		[ { true: "アニメあり", false: "アニメなし" }, { true: "アニメを表示します", false: "アニメを表示しません" }, "", "this.savedata.config.animation" ],
		[ { true: "カーソルあり", false: "カーソルなし" }, { true: "カーソルを表示します", false: "カーソルを表示しません" }, "", "this.savedata.config.displaycursor" ],
		[ { true: "地形情報あり", false: "地形情報なし" }, "地形とユニットの", { true: "情報を表示します", false: "情報を表示しません" }, "this.savedata.config.displayterrainandunitinfo" ],
		[ { default: "全マップ表示", "１６x１２": "１６x１２表示" }, { default: "マップをすべて", "１６x１２": "マップを１６*１２の" }, { default: "表示します", "１６x１２": "サイズで表示します" }, "this.savedata.config.mapdisplaysize" ],
		[ { true: "Ｓバー表示", false: "Ｓバーなし" }, "スクロールバーを", { true: "表示します", false: "表示しません" }, "this.savedata.config.displayscrollbar" ],
		[ { true: "サブ表示", false: "サブなし" }, "サブスクリーン", { true: "表示します", false: "表示しません" }, "this.savedata.config.displaysubscreen" ],
		[ { true: "隠蔽情報表示", false: "隠蔽情報なし" }, "隠された情報を", { true: "表示します", false: "表示しません" }, "this.savedata.config.displayhiddendata" ],
		[ { true: "追加情報表示", false: "追加情報なし" }, "本エディタ独自の追加", { true: "情報を表示します", false: "情報を表示しません" }, "this.savedata.config.extrainfo" ],
		[ { original: "ＨＰオリジナル", typeA: "ＨＰタイプA", typeB: "ＨＰタイプB", typeC: "ＨＰタイプC" }, { original: "ＨＰをすべて", typeA: "ユニットの下のＨＰを", typeB: "画面下のＨＰを", typeC: "ＨＰをすべて" }, { original: "１～１０で表示します", typeA: "％単位で表示します", typeB: "％単位で表示します", typeC: "％で表示します" }, "this.savedata.config.hpinfo" ],
		[ { FWDS: "ＨＰ画像タイプA", GBWAD: "ＨＰ画像タイプB" }, { FWDS: "ＨＰ画像をFWDSの", GBWAD: "ＨＰ画像をGBWADの" }, "画像で表示します", "this.savedata.config.hptype" ],
		[ { true: "エディタ表示", false: "エディタなし" }, { true: "エディタを表示します", false: "エディタを表示しません" }, "", "this.savedata.config.edit" ],
	],
	Terraintxt: [
		[ "　　平地",		"移動しやすいものの",		"守りにはむかない。",		"", ],
		[	"　　　森",		"サクテキ時には隣に移動",		"されないと見つからない。",		"空ユニットは例外。", ],
		[ "　　　山",		"山に入った歩兵系は",		"サクテキの時に視界が",		"３増える。", ],
		[ "　　道路",		"もっとも移動しやすい",		"地形だが守りには",		"むかない。", ],
		[ "　　　橋",		"陸と陸をむすぶ橋。",		"移動しやすいが",		"地形効果もない地形。", ],
		[ "　　パイプ",		"とてつもなくあつい装甲で",		"はかいする事はできない。",		"パイプランナーは進入可。", ],
		[ "　　パイプ",		"他のパイプ部分より装甲が",		"弱い。",		"パイプランナーは進入可。", ],
		[ "　　　川",		"陸ユニットでは歩兵系",		"が入ることができる。",		"", ],
		[	"　　　海",		"海、空ユニットだけが",		"移動できる。",		"", ],
		[ "　　岩礁",		"サクテキ時には隣に移動",		"されないと見つからない。",		"空ユニットは例外。", ],
		[ "　　浅瀬",		"陸から海に続く地形。",		"輸送船への乗り降りが",		"できる。", ],
		[ "ミサイル基地",		"歩兵系で１発だけ発射可。",		"射程は無限で、着弾場所",		"から２マスに範囲攻撃。", ],
		[ "ミニキャノン",		"攻撃力、射程ともキャノン",		"にはおとるが、強力な",		"兵器。弾数は無限。", ],
		[	"　Ｂストーン",		"１日の初めに周囲２マス",		"のブラックホール軍のＨＰ",		"が２回復し、補給も行う。", ],
		[ "　　本部",		"各軍の本拠地。占領され",		"ると敗北。陸ユニットの",		"回復、補給ができる。", ],
		[ "　　都市",		"味方が占領しているなら、",		"陸ユニットの回復、補給が",		"できる。", ],
		[ "　　工場",		"味方が占領しているなら、",		"陸ユニットの生産と",		"回復、補給ができる。", ],
		[	"　　空港",		"味方が占領しているなら、",		"空ユニットの生産、回復",		"補給ができる。", ],
		[ "　　　港",		"味方が占領しているなら、",		"海ユニットの生産、回復",		"補給ができる。", ],
		[ "　　指令塔",		"この拠点を占領すると",		"情報伝達が良くなり、",		"軍全体の攻撃力が上がる。", ],
		[ "　　研究所",		"ブラックホール軍の兵器の",		"研究を行っているしせつ。",		"", ],
		[ "　Ｂキャノン",		"攻撃力、射程とも強力な",		"キャノン砲。",		"弾数は無限。", ],
		[ "Ｂクリスタル",		"１日の初めに周囲４マス",		"のブラックホール軍のＨＰ",		"が２回復し、補給も行う。", ],
		[ "　　火山",		"大きな火山。",		"時おり火山弾をふき出す。",		"全ユニットが侵入不可。", ],
		[ "　Ｇボルト",		"新生ブラックホール軍が",		"作り出した流動兵器。",		"そのしんぞう部。", ],
		[ "　Ｇボルト",		"新生ブラックホール軍が",		"作り出した流動兵器。",		"そのしんぞう部。", ],
		[ "　進入不可",	"全ユニット攻撃、",		"侵入不可。",		"", ],
	],
	Unitnametxt: [
		"　　歩兵",
		"　バズーカ兵",
		"　　偵察車",
		"　　軽戦車",
		"　　重戦車",
		"　新型戦車",
		"グレートタンク",
		"　　輸送車",
		"　　自走砲",
		"　ロケット砲",
		"　対空戦車",
		"対空ミサイル",
		"パイプランナー",
		"　ヘルリウム",
		"　　戦闘機",
		"　　爆撃機",
		"　戦闘ヘリ",
		"　輸送ヘリ",
		"　ステルス",
		"ブラックボム",
		"　　戦艦",
		"　　護衛艦",
		"　　輸送艦",
		"　　潜水艦",
		"ブラックボート",
		"　　空母",
	],
	Unitinfotxt:	[ 
			[
				[ "歩兵系ユニット。",	"もっとも安いユニットで、",	"占領ができるが、攻撃力",	"はきたいできない。",	],
				[ "歩兵タイプの移動ができる。",	"数字は、移動力。",	"ほとんどの地形を移動できるが",	"移動力自体が少ない。",	],
				[ "視界。",	"数字はその範囲。",	"山にのぼると、範囲が",	"広がる。",	],
				[ "食物。",	"数字は、もっている量。",	"移動するごとにへり、なくなる",	"と移動できなくなる。",	],
				[ "歩兵は主砲なし。",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "歩兵の副砲、マシンガン。",	"下のタイプのユニットに",	"攻撃できる。",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "副砲での、歩兵系に対する",	"攻撃力。",	"歩兵どうしなら、",	"ごかくに戦える。",	],
				[ "副砲での、歩兵系以外の",	"陸ユニットへの攻撃力。",	"いりょくは、きたいしない",	"ほうがよい。",	],
				[ "副砲での、ヘリ系に対する",	"攻撃力。",	"輸送ヘリには、それなりに",	"ダメージを与えられる。",	],
				[ "",	"",	"",	"",	],
			],
			[ 
				[ "歩兵系ユニット。占領が",	"でき、攻撃力も高い。",	"ほとんどの地形を、同じ",	"移動コストで移動できる。",	],
				[ "バズーカ兵タイプの移動が",	"できる。数字は移動力。",	"ほとんどの地形を移動コスト１",	"で移動できる。",	],
				[ "視界。",	"数字はその範囲。",	"山にのぼると、範囲が",	"広がる。",	],
				[ "けいたい食料。",	"数字は、もっている量。",	"移動するごとにへり、なくなる",	"と移動できなくなる。",	],
				[ "バズーカ兵の主砲の",	"バズーカ砲。",	"下のタイプのユニットに",	"攻撃できる。",	],
				[ "バズーカ砲の弾数。",	"主砲のタマが切れた時は、",	"自動的に副砲に持ちかえて",	"攻撃する。",	],
				[ "",	"",	"",	"",	],
				[ "副砲のマシンガン。",	"",	"",	"",	],
				[ "主砲での、歩兵系以外の",	"陸ユニットへの攻撃力。",	"バズーカ砲は、軽戦車の主砲",	"にも、ひけをとらない。",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "副砲での、歩兵系に対する",	"攻撃力。",	"歩兵よりも、すこしだけ",	"強い。",	],
				[ "副砲での、歩兵系以外の",	"陸ユニットへの攻撃力。",	"そこそこのいりょく。",	"",	],
				[ "副砲での、ヘリ系に対する",	"攻撃力。",	"輸送ヘリには、それなりに",	"ダメージを与えられる。",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "車両系ユニット。",	"偵察用に使われる。",	"移動力が高く、歩兵に",	"対して有利。",	],
				[ "タイヤタイプの移動ができる。",	"数字は移動力。",	"タイヤのため、平地では",	"思うように移動できない。",	],
				[ "視界。",	"数字はその範囲。",	"偵察車は広い視界を",	"もっている。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"移動するごとにへり、なくなる",	"と移動できなくなる。",	],
				[ "偵察車に主砲はない。",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "副砲のマシンガン。",	"偵察用のユニットなので、",	"歩兵系以外に対しては",	"あまり強くない。",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "副砲のマシンガンでの、",	"歩兵系に対する攻撃力。",	"歩兵に対しては、高い",	"ダメージを与えられる。",	],
				[ "副砲での、歩兵系以外の",	"陸ユニットへの攻撃力。",	"軽戦車や重戦車には",	"はが立たない。",	],
				[ "副砲での、ヘリに対する",	"攻撃力。",	"輸送ヘリには、それなりに",	"ダメージを与えられる。",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "車両系ユニット。",	"身軽な戦車。ねだんも",	"安く、移動力があるため",	"あつかいやすい。",	],
				[ "センシャタイプの移動が",	"できる。数字は移動力。",	"どんな地形でも、あまり",	"足を取られないで進める。",	],
				[ "視界。",	"数字はその範囲。",	"軽戦車は、陸ユニットに",	"しては広め。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"移動するごとにへり、なくなる",	"と移動できなくなる。",	],
				[ "軽戦車の主砲。",	"下のタイプのユニットに",	"攻撃できる。",	"",	],
				[ "軽戦車砲の弾数。",	"主砲のタマが切れた時は、",	"自動的に副砲に持ちかえて",	"攻撃する。",	],
				[ "",	"",	"",	"",	],
				[ "副砲のマシンガン。",	"",	"",	"",	],
				[ "軽戦車砲での、歩兵系以外の",	"陸ユニットに対する攻撃力。",	"だいたいのユニットに",	"大きなダメージを与えられる。",	],
				[ "軽戦車砲での、フネに",	"対する攻撃力。",	"ダメージはあまり",	"与えられない。",	],
				[ "軽戦車砲での、潜水艦に",	"対する攻撃力。ほとんどない。",	"潜水艦のもぐる時には",	"攻撃できない。",	],
				[ "",	"",	"",	"",	],
				[ "軽戦車のマシンガンでの",	"歩兵系に対する攻撃力。",	"高いダメージを与えられる。",	"",	],
				[ "軽戦車のマシンガンでの、",	"歩兵系以外の陸ユニットに",	"対する攻撃力。",	"そこそこのいりょく。",	],
				[ "軽戦車のマシンガンでの",	"ヘリ系に対する攻撃力。",	"輸送ヘリに対しては",	"それなりに強い。",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "車両系ユニット。",	"軽戦車より",	"攻撃力、守備力ともに",	"強化された戦車。",	],
				[ "センシャタイプの移動が",	"できる。数字は移動力。",	"タイヤタイプにくらべ、平地",	"でも移動力が下がりにくい。",	],
				[ "視界。",	"数字はその範囲。",	"サクテキの時、周囲を",	"見るのに必要。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"移動するごとにへり、なくなる",	"と移動できなくなる。",	],
				[ "重戦車の主砲。",	"下のタイプのユニットに",	"攻撃できる。",	"",	],
				[ "重戦車砲の弾数。",	"主砲のタマが切れた時は、",	"自動的に副砲に持ちかえて",	"攻撃する。",	],
				[ "",	"",	"",	"",	],
				[ "副砲のマシンガン。",	"",	"",	"",	],
				[ "重戦車砲での、歩兵系以外の",	"陸ユニットに対する攻撃力。",	"はかいりょくバツグンだが、",	"同じ重戦車に対してはごかく。",	],
				[ "重戦車砲での、フネに",	"対する攻撃力。",	"そこそこのいりょく。",	"",	],
				[ "重戦車砲での、潜水艦に",	"対する攻撃力。弱い。",	"潜水艦のもぐる時には",	"攻撃できない。",	],
				[ "",	"",	"",	"",	],
				[ "重戦車のマシンガンでの",	"歩兵系に対する攻撃力。",	"軽戦車のそれより、",	"高いいりょく。",	],
				[ "重戦車のマシンガンでの",	"歩兵系以外の陸ユニットに",	"対する攻撃力。",	"ほぼごかくに戦える。",	],
				[ "重戦車のマシンガンでの",	"ヘリ系に対する攻撃力。",	"輸送ヘリには、それなりに",	"ダメージを与えられる。",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "ブラックホール軍が開発した",	"新型兵器。",	"重戦車以上の力を持っている。",	"",	],
				[ "センシャタイプの移動が",	"できる。数字は移動力。",	"タイヤタイプにくらべ、平地",	"でも移動力が下がりにくい。",	],
				[ "視界。",	"数字はその範囲。",	"サクテキの時、周囲を",	"見るのに必要。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"移動するごとにへり、なくなる",	"と移動できなくなる。",	],
				[ "新型戦車の主砲。",	"下のタイプのユニットに",	"攻撃できる。",	"",	],
				[ "新型砲の弾数。",	"主砲のタマが切れた時は、",	"自動的に副砲に持ちかえて",	"攻撃する。",	],
				[ "",	"",	"",	"",	],
				[ "副砲のマシンガン。",	"",	"",	"",	],
				[ "新型砲での、歩兵系以外の",	"陸ユニットに対する攻撃力。",	"かなりのいりょく。",	"",	],
				[ "新型砲での、フネに",	"対する攻撃力。",	"ロケット砲には少しおとるが、",	"それなりのいりょく。",	],
				[ "新型砲での、潜水艦に対する",	"攻撃力。あまり強くない。",	"潜水艦のもぐる時には",	"攻撃できない。",	],
				[ "",	"",	"",	"",	],
				[ "新型戦車のマシンガンでの",	"歩兵系に対する攻撃力。",	"重戦車のマシンガンより、",	"高いいりょく。",	],
				[ "新型戦車のマシンガンでの",	"歩兵系以外の陸ユニットに",	"対する攻撃力。",	"副砲でもごかくに戦える。",	],
				[ "新型戦車のマシンガンでの",	"ヘリ系に対する攻撃力。",	"戦闘ヘリに対しても",	"少しダメージをあたえられる。",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "グリーンアースが開発した",	"地上最強の戦車。",	"足がおそいのが欠点。",	"",	],
				[ "センシャタイプの移動が",	"できる。数字は移動力。",	"タイヤタイプにくらべ、平地",	"でも移動力が下がりにくい。",	],
				[ "視界。",	"数字はその範囲。",	"サクテキの時、周囲を",	"見るのに必要。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"移動するごとにへり、なくなる",	"と移動できなくなる。",	],
				[ "グレートタンクの主砲。",	"下のタイプのユニットに",	"攻撃できる。",	"",	],
				[ "グレート砲の弾数。",	"主砲のタマが切れた時は、",	"自動的に副砲に持ちかえて",	"攻撃する。",	],
				[ "",	"",	"",	"",	],
				[ "副砲のマシンガン。",	"",	"",	"",	],
				[ "グレート砲での、歩兵系以外の",	"陸ユニットに対する攻撃力。",	"重戦車すら一発で倒すほどの",	"いりょくをもつ。",	],
				[ "グレート砲での、フネに",	"対する攻撃力。",	"",	"",	],
				[ "グレート砲での、潜水艦に",	"対する攻撃力。",	"潜水艦のもぐる時には",	"攻撃できない。",	],
				[ "",	"",	"",	"",	],
				[ "グレート砲のマシンガンでの",	"歩兵系に対する攻撃力。",	"新型戦車のそれより、",	"高いいりょく。",	],
				[ "グレートタンクの",	"マシンガンでの", "歩兵系以外の陸ユニットに",	"対する攻撃力。",	],
				[ "グレートタンクの", "マシンガンでの",	"ヘリ系に対する攻撃力。",	"",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "輸送系ユニット。",	"歩兵系ユニットを運べるほか、",	"まわりのユニットへの",	"燃料、弾の補給ができる。",	],
				[ "センシャタイプの移動が",	"できる。数字は移動力。",	"タイヤタイプにくらべ、平地",	"でも移動力が下がりにくい。",	],
				[ "視界。",	"数字はその範囲。",	"サクテキの時、周囲を",	"見るのに必要。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"移動するごとにへり、なくなる",	"と移動できなくなる。",	],
				[ "輸送車は、攻撃できない。",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "車両系ユニット。",	"間接攻撃ができるユニットの",	"中では、ねだんも安い。",	"",	],
				[ "センシャタイプの移動が",	"できる。数字は移動力。",	"平地でも足を取られないので、",	"ロケット砲よりも使いやすい。",	],
				[ "視界。",	"数字はその範囲。",	"サクテキで攻撃するには、",	"ほかのユニットの視界がいる。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"移動するごとにへり、なくなる",	"と移動できなくなる。",	],
				[ "自走砲の主砲、キャノン砲。",	"下のタイプのユニットに",	"攻撃できる。",	"",	],
				[ "キャノン砲の弾数。",	"タマがなくなると、主砲",	"での攻撃はできない。",	"",	],
				[ "キャノン砲の射程。",	"ロケット砲が攻撃できない",	"「２」の射程に攻撃できる",	"ところは、みのがせない。",	],
				[ "",	"",	"",	"",	],
				[ "主砲での、歩兵系に対する",	"攻撃力。",	"",	"",	],
				[ "主砲での、歩兵系以外の",	"陸ユニットに対する攻撃力。",	"",	"",	],
				[ "主砲での、フネに対する",	"攻撃力。",	"",	"",	],
				[ "主砲での、潜水艦に対する",	"攻撃力。",	"潜水艦のもぐる時には",	"攻撃できない。",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "車両系ユニット。",	"陸、海に攻撃できる",	"強力な間接攻撃ユニット。",	"攻撃範囲も広い。",	],
				[ "タイヤタイプの移動ができる。",	"数字は移動力。",	"平地では移動力が下がるため、",	"自走砲よりも移動しにくい。",	],
				[ "視界。",	"数字はその範囲。",	"ロケット砲に視界は",	"ほとんどない。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"移動するごとにへり、なくなる",	"と移動できなくなる。",	],
				[ "主砲のロケット砲。",	"下のタイプのユニットに",	"攻撃できる。",	"",	],
				[ "ロケット砲の弾数。",	"タマがなくなると、攻撃は",	"できない。",	"",	],
				[ "ロケット砲の射程。",	"この範囲の陸ユニット、",	"海ユニットに攻撃できる。",	"",	],
				[ "",	"",	"",	"",	],
				[ "ロケット砲での、",	"歩兵系に対する攻撃力。",	"大きなダメージを与えられる。",	"",	],
				[ "ロケット砲での、歩兵系以外の",	"陸ユニットに対する攻撃力。",	"安定した強さをほこる。",	"",	],
				[ "ロケット砲での、",	"船系に対する攻撃力。",	"ごかくか、それ以上の強さを",	"持っている。",	],
				[ "ロケット砲での、潜水艦に",	"対する攻撃力。かなり強い。",	"潜水艦のもぐる時には",	"攻撃できない。",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "車両系ユニット。",	"対地、対空攻撃をこなす。",	"歩兵系や空ユニットに強いが、",	"戦車などにはやられてしまう。",	],
				[ "センシャタイプの移動が",	"できる。数字は移動力。",	"タイヤタイプにくらべ、平地",	"でも移動力が下がりにくい。",	],
				[ "視界。",	"数字はその範囲。",	"サクテキの時、周囲を",	"見るのに必要。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"移動するごとにへり、なくなる",	"と移動できなくなる。",	],
				[ "主砲のバルカン砲。",	"下のタイプのユニットに",	"攻撃できる。",	"",	],
				[ "バルカン砲の弾数。",	"タマがなくなると、攻撃が",	"できなくなる。",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "バルカン砲での、歩兵系に",	"対する攻撃力。",	"傷ついてさえいなければ、",	"一撃で相手を倒せる。",	],
				[ "バルカン砲での、歩兵系以外の",	"陸ユニットに対する攻撃力。",	"軽戦車、重戦車以外となら",	"ごかくに戦える。",	],
				[ "バルカン砲での、ヘリ系に",	"対する攻撃力。",	"はかいりょくバツグン。",	"",	],
				[ "バルカン砲での、空ユニットに",	"対する攻撃力。",	"かなり強力。",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "車両系ユニット。",	"間接攻撃ができ、",	"空ユニットに強い。",	"視界が広いのがとくちょう。",	],
				[ "タイヤタイプの移動ができる。",	"数字は移動力。",	"タイヤのため、平地では",	"思うように移動できない。",	],
				[ "視界。",	"数字はその範囲。",	"サクテキの時、周囲を",	"見るのに必要。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"移動するごとにへり、なくなる",	"と移動できなくなる。",	],
				[ "主砲の対空ミサイル。",	"下のタイプのユニットに",	"攻撃できる。",	"",	],
				[ "対空ミサイルの弾数。",	"タマがなくなると、攻撃",	"できなくなる。",	"",	],
				[ "対空ミサイルの射程。",	"この範囲の空ユニットに",	"攻撃できる。",	"",	],
				[ "",	"",	"",	"",	],
				[ "対空ミサイルでの、ヘリ系に",	"対する攻撃力。",	"はかいりょくバツグン。",	"",	],
				[ "対空ミサイルでの、",	"空ユニットに対する攻撃力。",	"大きなダメージを与えられる。",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "ブラックホール軍が開発した",	"間接攻撃ユニット。",	"パイプと工場だけを",	"移動することができる。",	],
				[ "パイプタイプの移動ができる。",	"数字は移動力。",	"パイプと工場しか",	"移動することができない。",	],
				[ "視界。",	"数字はその範囲。",	"サクテキの時、周囲を",	"見るのに必要。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"移動するごとにへり、なくなる",	"と移動できなくなる。",	],
				[ "主砲のパイプ砲。",	"下のタイプのユニットに",	"攻撃できる。",	"",	],
				[ "パイプ砲の弾数。",	"タマがなくなると、攻撃は",	"できない。",	"",	],
				[ "パイプ砲の射程。",	"この範囲の陸ユニット、",	"海ユニット、空ユニット、",	"すべてに攻撃できる。",	],
				[ "",	"",	"",	"",	],
				[ "パイプ砲での", "歩兵系に対する攻撃力。",	"大きなダメージを与えられる。",	"",	],
				[ "パイプ砲での、歩兵系以外の",	"陸ユニットに対する攻撃力。",	"安定した強さをほこる。",	"",	],
				[ "パイプ砲での、",	"船系に対する攻撃力。",	"",	"",	],
				[ "パイプ砲での、潜水艦に",	"対する攻撃力。",	"潜水艦のもぐる時には",	"攻撃できない。",	],
				[ "パイプ砲での、ヘリ系に",	"対する攻撃力。",	"",	"",	],
				[ "パイプ砲での、",	"空ユニットに対する攻撃力。",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "ブラックホール軍が開発した",	"なぞの流動兵器。",	"移動した先のユニットを",	"のみこんで破壊してしまう。",	],
				[ "ヘルリウムタイプの移動。",	"数字は移動力。",	"地上を１しか進めない。",	"",	],
				[ "視界。",	"数字はその範囲。",	"サクテキの時、周囲を",	"見るのに必要。",	],
				[ "ヘルリウムは",	"燃料を必要としない。",	"",	"",	],
				[ "ヘルリウムは武器を",	"持たないため、攻撃できない。",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "空系ユニット。",	"空ユニットに対して強い。",	"全ユニット中、最高の",	"移動力をほこる。",	],
				[ "飛行タイプの移動ができる。",	"数字は移動力。",	"飛行タイプは、地形による",	"移動力の変化を受けない。",	],
				[ "視界。",	"数字はその範囲。",	"サクテキの時、周囲を",	"見るのに必要。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"毎ターン５消費する。",	"なくなるとツイラク。",	],
				[ "主砲の対空ミサイル。",	"下のタイプのユニットに",	"攻撃できる。",	"",	],
				[ "対空ミサイルの弾数。",	"タマがなくなると、主砲",	"での攻撃はできない。",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "対空ミサイルでの、ヘリ系に",	"対する攻撃力。",	"大きなダメージを与えられる。",	"",	],
				[ "対空ミサイルでの、",	"空ユニットに対する攻撃力。",	"戦闘機どうしではごかくだが、",	"その他の空ユニットには強い。",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "空系ユニット。",	"陸、海に対して、とても",	"強力な攻撃ができる。",	"",	],
				[ "飛行タイプの移動ができる。",	"数字は移動力。",	"飛行タイプは、地形による",	"移動力の変化を受けない。",	],
				[ "視界。",	"数字はその範囲。",	"サクテキの時、周囲を",	"見るのに必要。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"毎ターン５消費する。",	"なくなるとツイラク。",	],
				[ "爆弾。",	"下のタイプのユニットに",	"攻撃できる。",	"",	],
				[ "爆弾の弾数。",	"タマがなくなると、主砲",	"での攻撃はできない。",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "爆弾での、歩兵系に",	"対する攻撃力。",	"大きなダメージを与えられる。",	"",	],
				[ "爆弾での、歩兵系以外の",	"陸ユニットに対する攻撃力。",	"重戦車以上の力を持っている。",	"",	],
				[ "爆弾での、フネに",	"対する攻撃力。",	"はかいりょくバツグン。",	"",	],
				[ "爆弾での、潜水艦に",	"対する攻撃力。かなり強い。",	"潜水艦のもぐる時には",	"攻撃できない。",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "空系ユニット。",	"いろいろなユニットに",	"攻撃できるため、",	"あつかいやすい。",	],
				[ "飛行タイプの移動ができる。",	"数字は移動力。",	"飛行タイプは、地形による",	"移動力の変化を受けない。",	],
				[ "視界。",	"数字はその範囲。",	"戦闘ヘリは、空ユニットに",	"しては広め。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"毎ターン２消費する。",	"なくなるとツイラク。",	],
				[ "主砲の対地ミサイル。",	"下のタイプのユニットに",	"攻撃できる。",	"",	],
				[ "対地ミサイルの弾数。",	"主砲のタマが切れた時は、",	"自動的に副砲に持ちかえて",	"攻撃する。",	],
				[ "",	"",	"",	"",	],
				[ "副砲のマシンガン。",	"陸ユニットと、ヘリに",	"対して攻撃できる。",	"",	],
				[ "対地ミサイルでの、",	"歩兵系以外の陸ユニットに",	"対する攻撃力。ほとんどの",	"ユニットとごかくに戦える。",	],
				[ "対地ミサイルでの、",	"船系に対する攻撃力。",	"あまり強くない。",	"",	],
				[ "対地ミサイルでの、潜水艦に対",	"する攻撃力。あまり強くない。",	"潜水艦のもぐる時には",	"攻撃できない。",	],
				[ "",	"",	"",	"",	],
				[ "副砲での、歩兵系に",	"対する攻撃力。",	"大きなダメージを与えられる。",	"",	],
				[ "副砲での、歩兵系以外の",	"陸ユニットに対する攻撃力。",	"いりょくはそこそこ。",	"",	],
				[ "副砲での、ヘリ系に", "対する攻撃力。",	"戦闘ヘリには、ごかくだが、",	"輸送ヘリに対して強い。"	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "輸送系ユニット。",	"歩兵、バズーカ兵を運ぶ",	"ことができる。",	"",	],
				[ "飛行タイプの移動ができる。",	"数字は移動力。",	"飛行タイプは、地形による",	"移動力の変化を受けない。",	],
				[ "視界。",	"数字はその範囲。",	"サクテキの時、周囲を",	"見るのに必要。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"毎ターン２消費する。",	"なくなるとツイラク。",	],
				[ "輸送ヘリは、攻撃することが",	"できない。",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "空ユニット。かくれると",	"戦闘機、ステルス以外には",	"攻撃されなくなり、隣あわない",	"かぎり、敵に発見されない。",	],
				[ "飛行タイプの移動ができる。",	"数字は移動力。",	"飛行タイプは、地形による",	"移動力の変化を受けない。",	],
				[ "視界。",	"数字はその範囲。",	"サクテキの時、周囲を",	"見るのに必要。",	],
				[ "毎ターン５消費する。",	"かくれていると、",	"毎ターン８消費する。",	"なくなるとツイラク。",	],
				[ "主砲の汎用ミサイル。",	"下のタイプのユニットに",	"攻撃できる。",	"",	],
				[ "汎用ミサイルの弾数。",	"タマがなくなると、主砲",	"での攻撃はできない。",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "汎用ミサイルでの、", "歩兵系に",	"対する攻撃力。",	"",	],
				[ "汎用ミサイルでの、",	"歩兵系以外の陸ユニットに",	"対する攻撃力。",	"",	],
				[ "汎用ミサイルでの、",	"船系に対する攻撃力。",	"",	"",	],
				[ "汎用ミサイルでの、潜水艦に",	"対する攻撃力。",	"潜水艦のもぐる時には",	"攻撃できない。",	],
				[ "汎用ミサイルでの、ヘリ系に",	"対する攻撃力。",	"大きなダメージを与えられる。",	"",	],
				[ "汎用ミサイルでの、",	"空ユニットに対する攻撃力。",	"戦闘機よりはややおとる。",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "ブラックホール軍の無人兵器。",	"みずから爆発することで",	"周囲３マスの敵味方すべてに",	"ダメージを与える。",	],
				[ "飛行タイプの移動ができる。",	"数字は移動力。",	"飛行タイプは、地形による",	"移動力の変化を受けない。",	],
				[ "視界。",	"数字はその範囲。",	"サクテキの時、周囲を",	"見るのに必要。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"毎ターン５消費する。",	"なくなるとツイラク。",	],
				[ "ブラックボムは武器を",	"持たないため、攻撃できない。",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "海系ユニット。",	"ロケット砲よりも広い攻撃",	"範囲をもっている。",	"",	],
				[ "船タイプの移動ができる。",	"数字は移動力。",	"海、岩礁を移動できる。",	"",	],
				[ "視界。",	"数字はその範囲。",	"サクテキの時、周囲を",	"見るのに必要。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"毎ターン１消費する。",	"なくなるとチンボツ。",	],
				[ "主砲のキャノン砲。",	"下のタイプのユニットに",	"攻撃できる。",	"",	],
				[ "キャノン砲の弾数。",	"タマがなくなると、攻撃は",	"できない。",	"",	],
				[ "主砲の射程。",	"戦艦は、全ユニット中でも",	"広い射程をもっている。",	"",	],
				[ "",	"",	"",	"",	],
				[ "キャノン砲での、歩兵系に",	"対する攻撃力。",	"大きなダメージを与えられる。",	"",	],
				[ "キャノン砲での、歩兵系以外の",	"陸ユニットに対する攻撃力。",	"ロケット砲なみの強さを",	"持っている。",	],
				[ "キャノン砲での、フネに", "対する攻撃力。",	"大きなダメージを与えられる。",	"",	],
				[ "キャノン砲での、潜水艦に",	"対する攻撃力。とても強い。",	"潜水艦のもぐる時には",	"攻撃できない。",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "海系ユニット。潜水艦と",	"空ユニットに強い。",	"そのほか、ヘリを",	"２ユニット搭載できる。",	],
				[ "船タイプの移動ができる。",	"数字は移動力。",	"海、岩礁を移動できる。",	"",	],
				[ "視界。",	"数字はその範囲。",	"サクテキの時、周囲を",	"見るのに必要。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"毎ターン１消費する。",	"なくなるとチンボツ。",	],
				[ "主砲。",	"下のタイプのユニットに",	"攻撃できる。",	"",	],
				[ "主砲の弾数。",	"主砲のタマが切れた時は、",	"自動的に副砲に持ちかえて",	"攻撃する。",	],
				[ "",	"",	"",	"",	],
				[ "副砲の対空マシンガン。",	"",	"",	"",	],
				[ "対空ミサイルでの、ヘリ系に",	"対する攻撃力。",	"はかいりょくバツグン。",	"",	],
				[ "対艦ミサイルでの、潜水艦に", "対する攻撃力。",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "対空マシンガンでの、ヘリ系に", "対する攻撃力。",	"無傷なら、一撃で",	"しとめられる。",	],
				[ "対空マシンガンでの、飛行機系",	"に対する攻撃力。",	"ごかくに戦えるだけの攻撃力を",	"持っている。",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "輸送系ユニット。陸ユニットを",	"２ユニット搭載できる。",	"輸送中にやられると、中の",	"ユニットもなくなる。",	],
				[ "輸送船タイプの移動ができる。",	"数字は移動力。",	"船タイプとのちがいは",	"浅瀬を移動できること。",	],
				[ "視界。",	"数字はその範囲。",	"サクテキの時、周囲を",	"見るのに必要。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"毎ターン１消費する。",	"なくなるとチンボツ。",	],
				[ "輸送船は、武器をもってない",	"ので、攻撃ができない。",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "海系ユニット。もぐると",	"潜水艦、護衛艦以外には",	"攻撃されなくなり、隣あわない",	"かぎり、敵に発見されない。",	],
				[ "船タイプの移動ができる。",	"数字は移動力。",	"海、岩礁を移動できる。",	"",	],
				[ "視界。",	"数字はその範囲。",	"潜水艦は、海ユニット中",	"最大の視界をもっている。",	],
				[ "毎ターン１消費する。",	"もぐっていると、",	"毎ターン５消費する。",	"なくなるとチンボツする。",	],
				[ "主砲。",	"下のタイプのユニットに",	"攻撃できる。",	"",	],
				[ "魚雷の弾数。",	"タマがなくなると、攻撃は",	"できない。",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "主砲での、フネに対する",	"攻撃力。",	"",	"",	],
				[ "主砲での、潜水艦に対する", "攻撃力。",	"潜水艦どうしはごかく。",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "ブラックホール軍の新型兵器。",	"歩兵系を２ユニット搭載でき、",	"修理で隣のユニットのＨＰを",	"１回復し、補給も同時に行う。",	],
				[ "輸送船タイプの移動ができる。",	"数字は移動力。",	"船タイプとのちがいは",	"浅瀬を移動できること。",	],
				[ "視界。",	"数字はその範囲。",	"サクテキの時、周囲を",	"見るのに必要。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"毎ターン１消費する。",	"なくなるとチンボツ。",	],
				[ "ブラックボートは武器を",	"持たないため、攻撃できない。",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "連合軍が開発した海ユニット。",	"空ユニットを２ユニット搭載",	"し、同時に補給も行う。",	"空への広い間接攻撃をもつ。",	],
				[ "船タイプの移動ができる。",	"数字は移動力。",	"海、岩礁を移動できる。",	"",	],
				[ "視界。",	"数字はその範囲。",	"空母は",	"広い視界をもっている。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"毎ターン１消費する。",	"なくなるとチンボツ。",	],
				[ "主砲の対空ミサイル。",	"下のタイプのユニットに",	"攻撃できる。",	"",	],
				[ "対空ミサイルの弾数。",	"タマがなくなると、攻撃",	"できなくなる。",	"",	],
				[ "対空ミサイルの射程。",	"この範囲の空ユニットに",	"攻撃できる。",	"とてつもなく広い。",	],
				[ "",	"",	"",	"",	],
				[ "対空ミサイルでの、ヘリ系に",	"対する攻撃力。",	"はかいりょくバツグン。",	"",	],
				[ "対空ミサイルでの、", "空ユニットに対する攻撃力。",	"大きなダメージを与えられる。",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
			],
	],
	Weaponnametxt: [
		"装備していません",
		"マシンガン",
		"バズーカ砲",
		"軽戦車砲",
		"重戦車砲",
		"新型砲",
		"グレート砲",
		"キャノン砲",
		"ロケット砲",
		"バルカン砲",
		"対空ミサイル",
		"パイプ砲",
		"爆弾",
		"対地ミサイル",
		"汎用ミサイル",
		"対艦ミサイル",
		"対空マシンガン",
		"魚雷",
	],
	Shoguninfotxt: [
		[ "「僕が行きます！」", "レッドスター軍所属。ふるさとを取り戻すために戦う", "若きショーグン。オメガランドくっしの戦車乗り。", "スキ　・緑　乗り物全部", "キライ・ブラックホール軍",
			"見通しのきく平地で実力を発揮する。", "平地の上での全ユニットの攻撃力が高い。", "", "",
			"フィールドブレイク", "平地での全ユニットの攻撃力が上がり、", "車両系の間接射程が１増える。", "", "",
			"ハイパーコンバット", "平地での全ユニットの攻撃力が大きく上がる。", "さらに車両系の間接射程が１増え、", "移動力も２増える。", "" ],
		[ "「連合軍のみんな！　行くわよ！」", "オメガランドの連合軍司令。キャサリンの妹で、姉を", "見習ってがんばっている。さわやかな性格。", "スキ　・キャサリン　オメガランド　がんばってる人", "キライ・ブラックホール軍　すぐ言い訳する人",
			"レイチェルの部下ははたらき者が多いので、", "拠点での補充が１多い。", "", "",
			"ミラクルチャンス", "よそう以上に強力な一撃が出やすくなり、", "敵を多く倒すことができるようになる。", "ラッキー！", "",
			"レッドスターボム", "オメガランドレッドスター軍本部から", "ミサイルを３発援護射する。", "", "" ],
		[ "「みんな、がんばりましょう！」", "レイチェルの実の姉で、マクロランドの最高司令官。", "最近ちょっと体重が気になる。", "スキ　・ダイエット食品　おしゃれブランド", "キライ・ヒマな休日",
			"たまに、思った以上に強力な一撃が出ることがある。", "運も実力のうち、と本人は言っている。", "", "",
			"ミラクルチャンス", "よそう以上に強力な一撃が出やすくなり、", "敵を多く倒すことができるようになる。", "ラッキー！", "",
			"レッドスタードリーム", "よそう以上の超強力な一撃が出やすくなり、", "敵を多く倒すことができるようになる。", "超ラッキー！", "" ],
		[ "「へい、らっしゃい！」", "ウォーズショップの主人。実はレッドスターの元将校", "だったというウワサも・・・", "スキ　・おちゃ", "キライ・くすり",
			"なぞのルートで売り物を手に入れるため、", "全ユニットを安く買う事ができる。", "", "",
			"ショーバイスピリット", "いせいのいい話し方でユニットの値段をねぎり、", "安く生産する事ができる。", "", "",
			"ワッショイフェスタ", "安く生産できる上、世界中からハチの", "ショーバイなかまをかきあつめ、", "自軍の都市で陸ユニットが生産できるようにする。", "" ],
		[ "「兵器の整備なら僕にまかせろ！」", "レッドスター軍所属。メカ好きの元気な男の子。", "前回の戦いでマクロランドを救ったヒーロー。", "スキ　・メカ", "キライ・早おき",
			"陸海空、全ユニットにおいて特に弱点もなく、色々な", "場面でかつやくが期待できる。", "", "",
			"ハイパーリペア", "全ユニットのＨＰが２回復する。", "", "", "",
			"ハイアップグレード", "全ユニットのＨＰが５回復する。", "攻撃力が上がり、移動力が１増える。", "", "" ],
		[ "「じゃまするやつは、まとめてぶっとばす！」", "レッドスター軍所属。まっすぐな性格でまがった事が", "大きらい。軍の中で彼をしたう兵士はとても多い。", "スキ　・強いやつ　筋トレ　たんぱくしつ", "キライ・べんきょう！",
			"歩兵系をのぞく陸海空の全ユニットにおいて", "直接攻撃が得意。", "しかし間接攻撃は射程が短くなる。", "",
			"マキシマムブロウ", "歩兵系をのぞき、直接攻撃できるユニットの攻撃力が", "上がる。", "", "",
			"ストレートブラスト", "歩兵系をのぞき、直接攻撃できるユニットの攻撃力が", "大きく上がる。", "", "" ],
		[ "「はい、任務了解！　歩兵隊出撃よ！」", "レッドスター軍所属。気の強い女の子で、特殊部隊の", "隊長をつとめる。ロングヘアーにあこがれている。", "スキ　・イチゴショート　ぼうし集め", "キライ・なよなよした男",
			"歩兵系の攻撃力が高く、占領が早い。", "歩兵系以外の直接攻撃が苦手。", "", "",
			"ウィニングマーチ", "歩兵系の移動力が１増え、", "攻撃力が上がる。", "", "",
			"ビクトリアスパレード", "歩兵系の移動力が２増え、攻撃力が大きく上がる。", "ＨＰがへっていても１回で拠点を占領できる。", "", "" ],
		[ "「さあ行くぞ！　わがはいの出番じゃ！」", "ブルームーン軍所属。がんこで気難しい性格だが", "国を愛する気持ちは誰よりも強い。", "スキ　・ブルームーン　だんろ", "キライ・カレー",
			"雪国の生まれなので、雪でも普通の燃料コストで", "移動でき、さらに攻撃力が上がる。性格のわりに", "指揮はしっかりしているので特に弱点もない。", "",
			"スノウホワイト", "２日にわたって雪を降らせ、", "相手の燃料をへりやすくさせる。", "", "",
			"ブリザードブロウ", "強力なふぶきで敵全ユニットのＨＰに２のダメージを", "あたえる。さらに、２日にわたって雪を降らせ、", "相手の燃料をへりやすくさせる。", "" ],
		[ "「やれやれ・・・しょうがねえな」", "ブルームーン軍所属。やる気のなさそうな態度だが、", "実は射撃の名手。", "スキ　・ネコ　仕事のない日", "キライ・ネズミ　人ごみ",
			"間接攻撃の射程が１長く、攻撃力も高いが、", "歩兵系をのぞく全ユニットにおいて直接攻撃が苦手。", "", "",
			"テクニカルスナイプ", "間接攻撃の射程がさらに１増え、", "攻撃力が上がる。", "", "",
			"ワールドワイドスナイプ", "間接攻撃の射程がさらに２増え", "攻撃力が上がる。", "", "" ],
		[ "「はい！　が、がんばります！」", "ブルームーン軍所属。サーシャの弟で、お金持ちの", "ぼっちゃん。えいさい教育を受けているのでとても頭が良い。", "スキ　・ホイップ　ビリー", "キライ・ブラックホール軍",
			"大ざいばつのあととりなので、全ユニットを安く買える。", "指揮のみじゅくさからか、全ユニットの攻撃力が", "少し低い。", "",
			"ゴールドラッシュ", "現在の軍資金を１・５倍に増やす。", "", "", "",
			"パワーオブマネー", "お金のちからで、兵器をパワーアップさせる。", "軍資金が多ければ多いほど攻撃力が上がる。", "", "" ],
		[ "「手加減はいたしませんわ」", "ブルームーン軍所属。イワンの姉で、ふだんは", "上品なおじょう様。怒るとだいたんな行動に出る。", "スキ　・こうちゃ　コーヒー　連合のみなさま", "キライ・さわがしい所",
			"大ざいばつのおじょう様なので、拠点での収入が", "１００Ｇ多い。", "", "",
			"ブレイククラッシュ", "持っている軍資金が多いほど、相手のブレイクゲージを", "減らす事ができる。", "", "",
			"プラチナアタック", "相手にダメージを与えるとお金が手に入る。", "ダメージが大きいほど多くのお金が得られる。", "", "" ],
		[ "「海はひろいなあ」", "グリーンアース軍所属。おおらかな性格の船乗り。", "争いごとは苦手。こう見えてもサーフィンが上手い。", "スキ　・海　お日様", "キライ・高いところ",
			"海ユニットの攻撃力が高い。", "そのかわり空ユニットが苦手で、攻撃力が低い。", "", "",
			"ジャイアントウェーブ", "つなみをおこして、敵全ユニットのＨＰに", "１のダメージを与え、燃料を半分にさせる。", "", "",
			"ジャイアントストーム", "大つなみをおこして、敵全ユニットのＨＰに", "２のダメージを与え、燃料を半分にさせる。", "自分と敵のターンに雨を降らす。", "" ],
		[ "「・・・このオレに敵などない！」", "グリーンアース軍所属。プライドの高い、若き", "エースパイロット。実はゆいしょある良家のぼっちゃん。", "スキ　・父親のかたみのゴーグル　バイクとか速い乗り物", "キライ・およぎ",
			"空ユニットのあつかいがうまいので、他のショーグン", "より燃料がへりにくく、攻撃力が高い。", "だが、海ユニットの攻撃は苦手。", "",
			"ライトニングドライブ", "歩兵系以外の待機しているユニットを", "もう１度行動させることができるが、", "攻撃力が半分になる。", "",
			"ライトニングアサルト", "歩兵系以外の待機しているユニットを", "もう１度行動させることができる。", "", "" ],
		[ "「難しい戦況のようね」", "グリーンアース軍所属。ゆうかんな女性戦車乗りで、", "状況ぶんせきが得意。軍の女性仕官のアイドル。", "スキ　・タンポポ　アイロンを当てたふく", "キライ・えらそうなだけの上官",
			"車両系の攻撃力が高く、空系、海系の", "攻撃力が低い。", "", "",
			"スーパーチャージ", "車両系の攻撃力が上がり、移動力も１増える。", "さらに、弾と燃料の補給も同時におこなう。", "", "",
			"ビッグバンチャージ", "車両系の攻撃力が大きく上がり、移動力も２増える。", "さらに、弾と燃料の補給も同時におこなう。", "", "" ],
		[ "「レディは後ろへ！　まいりますぞ！」", "グリーンアース軍所属。今も騎士道を重んじる", "ジェントルマン。突撃系の指揮が多い。", "スキ　・生ハムとワイン", "キライ・退却",
			"間接攻撃に対する守備力が高い。", "また、指令塔を占領すると守備力も同時に上がる。", "", "",
			"アイアンシールド", "間接攻撃に対する守備力がさらに高くなる。", "また、指令塔の効果が２倍になる。", "", "",
			"ロイヤルガード", "間接攻撃に対する守備力がさらに高くなる。", "また、指令塔の効果が３倍になる。", "", "" ],
		[ "「いざ、じんじょうに勝負じゃ！」", "イエローコメットの国王。恐れを知らぬサムライだが、", "むすめのアスカには弱い。実は武術の達人である。", "スキ　・アスカ　白ごはん　なっとう", "キライ・コンピューター　ひきょう者",
			"全ユニットの攻撃力、守備力とも高めだが、", "生産時の値段も高い。", "", "",
			"イットーリョーダン", "全ユニットの攻撃力が上がる。", "", "", "",
			"ハイスイノジン", "全ユニットの攻撃力、守備力とも大きく上がり、さらに", "反撃の時は攻撃力が２倍になる。", "", "" ],
		[ "「わかったわ。やっぱり私のぶんせき通りね」", "イエローコメット軍所属。国王キクチヨのむすめで、", "情報戦に強い天才少女。最近少し目が悪くなってきた。", "スキ　・コンピューター　書物　さんぽ", "キライ・ケムシ　なっとう",
			"サクテキの時、全ユニットの視界が１多い。", "自分のＨＰを相手からかくすことができる。", "情報そうさで、相手の地形効果を１下げる。", "",
			"ワンダーサーチ", "全ユニットの視界がさらに１増え、", "森やがんしょうも見えるようになる。", "情報そうさで、相手の地形効果を２下げる。", "",
			"カウンターブレイク", "全ユニットの視界がさらに１増え、森やがんしょうも", "見えるようになる。さらに、つねに先制攻撃できる", "ようになり、相手の地形効果を３下げる。", "" ],
		[ "「はて、何じゃったかのう」", "イエローコメット軍所属。昔は各国に名をはせる", "有名なオニショーグンだったらしい。", "スキ　・用事のない雨の日", "キライ・せわしない場所",
			"歩兵系の攻撃力が高く、輸送系の移動力も１増える。", "戦闘ヘリの指揮がずばぬけて上手く、攻撃力が高い。", "海ユニットの攻撃が苦手。", "",
			"ヤマトダマシイ", "戦闘ヘリの攻撃力が上がる。さらに、自軍都市の上に", "ＨＰ９の歩兵を降下させる。", "この歩兵は降下後、すぐに行動できる。", "",
			"サムライダイブ", "戦闘ヘリの攻撃力が上がる。さらに、自軍都市の上に", "ＨＰ９のバズーカ兵を降下させる。", "このバズーカ兵は降下後、すぐに行動できる。", "" ],
		[ "「ガハハ！　よっしゃ～いくで！」", "イエローコメット軍所属。ごうかいな性格で、こまかい", "事は気にしない。イナズマのコウゾウと呼ばれる。", "スキ　・タコヤキ", "キライ・きゃべつが入ってるタコヤキ",
			"向こう見ずな性格のせいか、全ユニットの", "攻撃力は高いが、守備力が少し低い。", "", "",
			"カミカゼブレイク", "全ユニットの攻撃力が上がる。", "", "", "",
			"フウジンライジン", "全ユニットの攻撃力が大きく上がる。", "", "", "" ],
		[ "「・・・消えてもらう」", "ブラックホール軍所属。目的のためなら手段を", "選ばないひじょうさをもつ。", "スキ　・ブラックコーヒー", "キライ・無能なやつ",
			"全ユニットの攻撃力が高いが、他のショーグンより", "ブレイクがたまりにくい。", "", "",
			"ブラックウェーブ", "全ユニットのＨＰが１回復する。", "さらに、敵全ユニットのＨＰに１のダメージを与える。", "", "",
			"ブラックストーム", "全ユニットのＨＰが２回復する。さらに、敵全ユニットの", "ＨＰに２のダメージを与える。", "", "" ],
		[ "「オレの出番はまだか！？」", "ブラックホール軍１のパワーの持ち主。軍の歩兵だった", "が、実力をホークに認められショーグンに昇格した。", "スキ　・おにく", "キライ・おやさい",
			"攻撃力は高いのだが、力任せな攻撃をするので、", "あたえるダメージにばらつきがあり、", "時には思ったよりも敵を倒せない事がある。", "",
			"バーニングブロウ", "あたえるダメージのばらつきが大きくなり、", "強力な一撃が出る事もあれば、思いがけず", "弱い攻撃になってしまう事もあるようになる。", "",
			"ギガントブレイク", "あたえるダメージのばらつきがさらに大きくなり、", "強力な一撃が出る事もあれば、思いがけず", "弱い攻撃になってしまう事もあるようになる。", "" ],
		[ "「キャハ！　いくよ～？」", "ブラックホール軍所属。こどものようにむじゃきな", "天才少女。軍の兵器はほとんどが彼女の発明品。", "スキ　・おもしろい事", "キライ・思い通りにならない事",
			"地形をうまく利用するのが得意で、地形効果を", "攻撃力にプラスすることができる。", "", "",
			"ハイパータクティクス", "地形効果が攻撃力にプラスされるほか", "全ユニットの移動コストが１になる。", "", "",
			"ハイグレードコマンド", "地形効果が２倍になる。", "さらに、そのまま攻撃力にプラスされ、", "全ユニットの移動コストが１になる。", "" ],
		[ "「ククク・・・本当のきょうふを知っていますか？」", "ナルシストな性格で自分の能力にぜったいの", "自信を持っている。一応、コングとキャットの上官。", "スキ　・マイフェイス　ハードコア", "キライ・バッチイもの　ラヴソング",
			"じんそくな指揮が得意で、他のショーグンより", "ブレイクがたまりやすい。", "", "",
			"サイドスルー", "全ユニットの移動力が１増える。", "", "", "",
			"サイドワインダー", "全ユニットの移動力が２増える。", "", "", "" ],
		[ "「ぐふふ・・・ワシは生きる」", "ブラックホール軍の新そうすい。長い年月を生き", "のびてきたなぞの老人。今回の事件のくろまく。", "スキ　・長生き", "キライ・若ぞう",
			"全てのユニットの攻撃力、守備力が高い。", "", "", "",
			"", "", "", "", "",
			"デモリションボルト", "兵器の電気系統をまひさせる電撃を発し、", "広範囲のユニットに３のダメージを与える。", "ダメージを受けたユニットは、次のターン強制待機する。", "" ],
		[ "「・・・戦闘、開始・・・」", "ブラックホール軍所属のメカっぽいショーグン。", "その正体は誰も知らない。ブレイク時に少しかしこくなる。", "スキ　・エネルギー", "キライ・せいでんき　ほこり",
			"攻撃力は高いのだが、力任せな攻撃をするので、", "あたえるダメージにばらつきがあり、時には", "思ったよりも敵を倒せないことがある。", "",
			"バーニングパンチ", "あたえるダメージのばらつきが大きくなり、", "強力な一撃が出る事もあれば、思いがけず", "弱い攻撃になってしまう事もあるようになる。", "",
			"クラッシュブロウ", "あたえるダメージのばらつきがさらに大きくなり、", "強力な一撃が出る事もあれば、思いがけず", "弱い攻撃になってしまう事もあるようになる。", "" ],
		[ "「クク・・・全くもって、おろかなり」", "ブラックホール軍所属。いつも悪い事ばかり考えている。", "古い言い回しを好む。", "スキ　・ことわざ　ラーメン", "キライ・外国の食べ物",
			"じんそくな指揮が得意で、他のショーグンより", "ブレイクがたまりやすい。", "道路の上での戦闘が得意で、攻撃力が高い。", "",
			"イッキツーカン", "全ユニットの移動力が１増える。", "道路の上での攻撃力がさらに上がる。", "", "",
			"コクシムソウ", "全ユニットの移動力が２増える。", "道路の上での攻撃力が大きく上がる。", "", "" ],
		[ "「オホホホ！　ムダよ！」", "ブラックホール軍所属。ジーポやチャッカの上官。", "すごく分かりやすい女王様な性格。", "スキ　・ハイセンスなもの", "キライ・いなかくさいもの",
			"都会育ちなので、都市戦に強い。", "拠点の上での全ユニットの攻撃力が高い。", "", "",
			"パワーオブシティ", "拠点の上での全ユニットの攻撃力が上がる。", "拠点上にいる敵ユニットにＨＰ３のダメージを与える。", "", "",
			"アップルフィーバー", "拠点の上での全ユニットの攻撃力が大きく上がる。", "さらに、自軍拠点が多ければ多いほど攻撃力が上がる。", "", "" ],
	],
	number_nothing:	"－－",
	unitlist:	{
		unitname:	"ユニット名",
		hp:	"ＨＰ",
		gas:	"　　　燃料",
		rounds:	"　　弾数",
		none:	"装備無し",
		slash:	"／",
	},
	status:	{
		day:	"日",
		units:	"　生産",
		lost:	"　全滅",
		bases:	"　拠点",
		income:	"　　　　収入",
		funds:	"　　　軍資金",
		neutral:	"中立拠点",
	},
	country:	{
		rs: "レッドスター",
		bm: "ブルームーン",
		ge: "グリーンアース",
		yc: "イエローコメット",
		bh: "ブラックホール",
	},
	shogun_status:	{
		skills:	"つけているフォース",
		fp_data:	"攻撃力データ",
		fp_totalbonus:	"攻撃力補正合計",
		fp_terrainbonus:	"地形攻撃力補正",
		fp_otherbonus:	"その他攻撃力補正",
		def_data:	"防御力データ",
		def_totalbonus:	"防御力補正合計",
		range_bonus:	"　射程補正",
		move_bonus:	"　移動力補正",
		close:	"近接",
		range:	"間接",
		comtower:	"司令塔",
		copower:	"ブレイク",
		tagpartner:	"タッグパートナー",
		ability:	"特殊能力",
		luck:	"運",
		weather:	"天候による影響",
	},
	bonustypetxt: {
		all:					"全て",
		closetype: 		"近接系",
		rangetype:		"間接系",
		infantry:			"歩兵系",
		vehicle:			"車両系",
		transport:		"輸送系",
		air:					"空ユニット",
		ship:					"海ユニット",
		building:			"全拠点（地形）",
		buildingplus:	"拠点数",
		terrain:			"地形効果毎",
		bcopter:			"戦闘ヘリ",
		rain:					"降雨時",
		snow:					"降雪時",
		sandstorm:		"砂あらし時",
		moneyplus:		"所持金",
		counter:			"反撃時",
		tagplus:			"サポートスター",
		hide:					"ハイド時",
		atmosphere:		"天候",
	},
	bonustypetxt2: {
		launchmissile:		{ txt: "ミサイルを３発援護射する" },
		repair:						{ txt: "拠点での補充", hasvalue: true },
		cost:							{ txt: "生産コスト", hasvalue: true, ispercent: true },
		canproduceincity:	{ txt: "都市で陸ユニットが生産可" },
		healall:					{ txt: "全ユニットのＨＰ回復", hasvalue: true },
		heal:							{ txt: "全ユニットのＨＰ回復", hasvalue: true },
		capturemul:				{ txt: "占領速度＋５０％（切捨て）", txt2: "１回で拠点を占領できる" },
		movefree:					{ txt: { snow: "雪で燃料コストが増えない", all: "全ユニットの移動コスト１", plain: "平地の移動コスト１", wood: "森の移動コスト１" }, isarray: true },
		atmosphere:				{ txt: { snow: "２日間雪を降らす", rain: "１日間雨を降らす" }, isarray: true },
		damage:						{ txt: "全ユニットにダメージ", hasvalue: true },
		moneymul:					{ txt: "軍資金を１・５倍に増やす" },
		income:						{ txt: "拠点収入", hasvalue: true },
		reducebreak:			{ txt: "ブレイクを金／５００％減らす" },
		payoff:						{ txt: "ダメージで収入", hasvalue: true, ispercent: true },
		fuel:							{ txt: "燃料を半減させる" },
		canmoveagain:			{ txt: "歩兵系以外を再行動させる" },
		reducefuel:				{ txt: { air: "航空系の燃料消費", stealth: "ハイド時の燃料消費" }, isarray: true, hasvalue: true },
		supplyall:				{ txt: "弾と燃料を補給する" },
		comtowerdef:			{ txt: "防御力＋司令塔数＊１０％" },
		comtowermul:			{ txt: "司令塔の効果", hasvalue: true, ismultiply: true },
		concealhp:				{ txt: "自分のＨＰを相手から隠す" },
		vision:						{ txt: "視界", hasvalue: true },
		eneterraindef:		{ txt: "相手の地形効果", hasvalue: true },
		canseeforestandreef: { txt: "森と岩礁の中が見える" },
		preemptiveattack: { txt: "つねに先制攻撃できる" },
		postincity:				{ txt: { infantry: "都市にＨＰ９の歩兵を降下", mech: "都市にＨＰ９のバズーカ兵" }, isarray: true },
		terraindefmul:		{ txt: "地形効果", hasvalue: true, ismultiply: true },
		dbolt:						{ txt: "広範囲に３ダメージ＋麻痺" },
		damagebase:				{ txt: "拠点上にダメージ", hasvalue: true },
		missileguard:			{ txt: "ミサイルのダメージ", hasvalue: true },
		cannonguard:			{ txt: "キャノンのダメージ", hasvalue: true },
		bpplus:						{ txt: "ブレイクの増加", hasvalue: true, ispercent: true },
		capture:					{ txt: "占領", hasvalue: true },
	},
	atmospheretxt: {
		normal: 		"晴れ　　　　なし",
		rain:				"雨　　　　　索敵マップになる。視界－１",
		snow:				"雪　　　　　燃料の消費２倍",
		sandstorm:	"砂あらし　　間接ユニットの射程－１",
	},
	battle:	{
		atk:	"攻撃力",
		def:	"防御力",
		dmg:	"損害",
		result:	"戦闘結果",
	},
};

FWEditor_data.text.English = {
	Mainmenutxt:  [
		[ "Wait", "", "" ],
		[ "Fire", "", "" ],
		[ "占領", "", "" ],
		[ "Load", "", "" ],
		[ "ミサイル", "", "" ],
		[ "Drop", "", "" ],
		[ "Hide", "", "" ],
		[ "Dive", "", "" ],
		[ "Appear", "", "" ],
		[ "Rise", "", "" ],
		[ "Supply", "", "" ],
		[ "Repair", "", "" ],
		[ "Explode", "", "" ],
		[ "Fire", "", "" ],
		[ "Join", "", "" ],
		[ "Fire", "", "" ],
		[ "CO", "View CO info.", "" ],
		[ "Intel", "View Intel menu.", "" ],
		[ "Power", "Use a CO Power.", "" ],
		[ "Super", "Use a CO Power.", "" ],
		[ "Tag", "Use a Tag Power.", "" ],
		[ "Options", "View Options menu.", "" ],
		[ "Options2", "View Options menu.", "" ],
		[ "Change", "Switch COs and", "end your turn." ],
		[ "チェンジ", "ショーグンを入れ替えて", "再度行動できます" ],
		[ "End", "End your turn.", "" ],
		[ "Status", "View battle status.", "" ],
		[ "Unit", "View unit info.", "" ],
		[ "Rules", "View the rules.", "" ],
		[ "Delete", "Delete a unit only", "before it moves." ],
		[ "Yield", "降伏して、", "負けを認めます" ],
		[ { normal: "clear", rain: "rain", sandstorm: "s-storm", snow: "snow" }, "Set weather to", { normal : "clear in random.", rain: "rain in random.", sandstorm: "sandstorm in random.", snow: "snow in random." }, "this.savedata.mapdata.atmosphere" ],
		[ { true: "Visual On", false: "No visual" }, { true: "Animation are on.", false: "No animation." }, "", "this.savedata.config.animation" ],
		[ { true: "Cur. On", false: "No Cur." }, { true: "Draw cursor.", false: "Do not draw cursor." }, "", "this.savedata.config.displaycursor" ],
		[ { true: "Ter. On", false: "Ter. Off" }, { true: "Display terrain and", false: "Do not display" }, { true: "unit info.", false: "terrain and unit info." }, "this.savedata.config.displayterrainandunitinfo" ],
		[ { default: "Draw Map All", "１６x１２": "Draw map 16*12" }, { default: "Draw whoel map", "１６x１２": "Draw map in 16*12 size" }, "", "this.savedata.config.mapdisplaysize" ],
		[ { true: "Scrbar On", false: "No Scrbar" }, { true: "Draw scroll bar.", false: "Do not draw scroll bar." }, "", "this.savedata.config.displayscrollbar" ],
		[ { true: "Sub. On", false: "No Sub." }, { true: "Display sub screen.", false: "Do not display" }, { true: "", false: "sub screen." }, "this.savedata.config.displaysubscreen" ],
		[ { true: "Hidden On", false: "No Hidden" }, { true: "Display hidden info.", false: "Do not display" }, { true: "", false: "hidden info." }, "this.savedata.config.displayhiddendata" ],
		[ { true: "Extra On", false: "No Extra" }, { true: "Display extra info.", false: "Do not display" }, { true: "", false: "extra info." }, "this.savedata.config.extrainfo" ],
		[ { original: "HP Orig.", typeA: "HP TypeA", typeB: "HP TypeB", typeC: "HP TypeC" }, { original: "Display every unit", typeA: "Display HP under", typeB: "Display unit HP info", typeC: "Display every unit" }, { original: "HP by 1-10.", typeA: "unit by ％（1-100）.", typeB: "by ％（1-100）.", typeC: "HP by ％（1-100）." }, "this.savedata.config.hpinfo" ],
		[ { FWDS: "HP FWDS", GBWAD: "HP GBWA" }, { FWDS: "Draw HP image", GBWAD: "Draw HP image" }, { FWDS: "like FWDS.", GBWAD: "like GBWA." }, "this.savedata.config.hptype" ],
		[ { true: "Editor On", false: "No Editor" }, { true: "Enable FWEditor.", false: "Disable FWEditor." }, "", "this.savedata.config.edit" ],
	],
	Terraintxt: [
		[ "　　Plain",		"Easy to traverse,",		"plains offer little",		"defensive cover.", ],
		[	"　　Wood",		"In Fog of War, its",		"trees hide units from",		"anyone but air units.", ],
		[ "　Mountain",		"Infantry units add",		"3 to their vision",		"range on mountains.", ],
		[ "　　Road",		"Easy to traverse,",		"roads offer little",		"defensive cover.", ],
		[ "　Bridge",		"Bridges allow units",		"to cross rivers but",		"offer no defense.", ],
		[ "　Pipeline",		"とてつもなくあつい装甲で",		"はかいする事はできない。",		"パイプランナーは進入可。", ],
		[ "　Pipeline",		"The armor is weaker",		"here than on other",		"sections of the pipe.", ],
		[ "　　River",		"Only foot soldiers",		"can ford rivers.",		"", ],
		[	"　　Sea",		"Only naval and",		"air units can",		"traverse seas.", ],
		[ "　　Reef",		"In Fog of War, reefs",		"can hide units from",		"anyone but air units.", ],
		[ "　　Shoal",		"Lander units",		"load and unload",		"units here.", ],
		[ "　　Silo",		"Silos can be used by",		"foot soldiers, but",		"they fire only once.", ],
		[ "Minicannon",		"Lash designed this",		"weaker cousin to",		"the cannon.", ],
		[	"　Crystal",		"Black Hole units within",		"2 spaces regain fuel",		"and 2 HP each day.", ],
		[ "　　HQ",		"An HQ can resupply",		"ground units. Battle",		"ends if it's captured.", ],
		[ "　　City",		"Ground units gain",		"supplies and HP",		"in allied cities.", ],
		[ "　　Base",		"Bases deploy, supply,",		"and restore HP to",		"ground units.", ],
		[	"　　空港",		"味方が占領しているなら、",		"空ユニットの生産、回復",		"補給ができる。", ],
		[ "　　Port",		"Naval bases deploy,",		"supply, and restore",		"HP to naval units.", ],
		[ "Com Tower",		"This tower boosts the",		"attack for all units in",		"its owner's command.", ],
		[ "　　Lab",		"This lab researches",		"designs for tanks",		"and other weapons.", ],
		[ "　Cannon",		"Lash designed this",		"powerful cannon to",		"fire at great range.", ],
		[ "　Obelisk",		"Black Hole units within",		"4 spaces regain fuel",		"and 2 HP each day.", ],
		[ "　Volcano",		"This large volcano",		"erupts, scattering",		"fireballs of magma.", ],
		[ "　Ｇボルト",		"新生ブラックホール軍が",		"作り出した流動兵器。",		"そのしんぞう部。", ],
		[ "　Ｇボルト",		"新生ブラックホール軍が",		"作り出した流動兵器。",		"そのしんぞう部。", ],
		[ "　Blocked",	"Black Hole property.",		"No trespassing!",		"", ],
	],
	Unitnametxt: [
		"　Infantry",
		"　　Mech",
		"　　Recon",
		"　　Tank",
		"　Md Tank",
		"　Neotank",
		"　Megatank",
		"　　APC",
		"　　自走砲",
		"　Rockets",
		"　Anti-Air",
		"　Missiles",
		"　Piperunner",
		"　　Oozium",
		"　　Fighter",
		"　　Bomber",
		"　戦闘ヘリ",
		"　T Copter",
		"　　Stealth",
		"Black Bomb",
		"　Battleship",
		"　Cruiser",
		"　　輸送艦",
		"　　　Sub",
		"　Black Boat",
		"　Carrier",
	],
	Unitinfotxt:	[ 
			[
				[ "歩兵系ユニット。",	"もっとも安いユニットで、",	"占領ができるが、攻撃力",	"はきたいできない。",	],
				[ "歩兵タイプの移動ができる。",	"数字は、移動力。",	"ほとんどの地形を移動できるが",	"移動力自体が少ない。",	],
				[ "視界。",	"数字はその範囲。",	"山にのぼると、範囲が",	"広がる。",	],
				[ "食物。",	"数字は、もっている量。",	"移動するごとにへり、なくなる",	"と移動できなくなる。",	],
				[ "歩兵は主砲なし。",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "歩兵の副砲、マシンガン。",	"下のタイプのユニットに",	"攻撃できる。",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "副砲での、歩兵系に対する",	"攻撃力。",	"歩兵どうしなら、",	"ごかくに戦える。",	],
				[ "副砲での、歩兵系以外の",	"陸ユニットへの攻撃力。",	"いりょくは、きたいしない",	"ほうがよい。",	],
				[ "副砲での、ヘリ系に対する",	"攻撃力。",	"輸送ヘリには、それなりに",	"ダメージを与えられる。",	],
				[ "",	"",	"",	"",	],
			],
			[ 
				[ "歩兵系ユニット。占領が",	"でき、攻撃力も高い。",	"ほとんどの地形を、同じ",	"移動コストで移動できる。",	],
				[ "バズーカ兵タイプの移動が",	"できる。数字は移動力。",	"ほとんどの地形を移動コスト１",	"で移動できる。",	],
				[ "視界。",	"数字はその範囲。",	"山にのぼると、範囲が",	"広がる。",	],
				[ "けいたい食料。",	"数字は、もっている量。",	"移動するごとにへり、なくなる",	"と移動できなくなる。",	],
				[ "バズーカ兵の主砲の",	"バズーカ砲。",	"下のタイプのユニットに",	"攻撃できる。",	],
				[ "バズーカ砲の弾数。",	"主砲のタマが切れた時は、",	"自動的に副砲に持ちかえて",	"攻撃する。",	],
				[ "",	"",	"",	"",	],
				[ "副砲のマシンガン。",	"",	"",	"",	],
				[ "主砲での、歩兵系以外の",	"陸ユニットへの攻撃力。",	"バズーカ砲は、軽戦車の主砲",	"にも、ひけをとらない。",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "副砲での、歩兵系に対する",	"攻撃力。",	"歩兵よりも、すこしだけ",	"強い。",	],
				[ "副砲での、歩兵系以外の",	"陸ユニットへの攻撃力。",	"そこそこのいりょく。",	"",	],
				[ "副砲での、ヘリ系に対する",	"攻撃力。",	"輸送ヘリには、それなりに",	"ダメージを与えられる。",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "車両系ユニット。",	"偵察用に使われる。",	"移動力が高く、歩兵に",	"対して有利。",	],
				[ "タイヤタイプの移動ができる。",	"数字は移動力。",	"タイヤのため、平地では",	"思うように移動できない。",	],
				[ "視界。",	"数字はその範囲。",	"偵察車は広い視界を",	"もっている。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"移動するごとにへり、なくなる",	"と移動できなくなる。",	],
				[ "偵察車に主砲はない。",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "副砲のマシンガン。",	"偵察用のユニットなので、",	"歩兵系以外に対しては",	"あまり強くない。",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "副砲のマシンガンでの、",	"歩兵系に対する攻撃力。",	"歩兵に対しては、高い",	"ダメージを与えられる。",	],
				[ "副砲での、歩兵系以外の",	"陸ユニットへの攻撃力。",	"軽戦車や重戦車には",	"はが立たない。",	],
				[ "副砲での、ヘリに対する",	"攻撃力。",	"輸送ヘリには、それなりに",	"ダメージを与えられる。",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "車両系ユニット。",	"身軽な戦車。ねだんも",	"安く、移動力があるため",	"あつかいやすい。",	],
				[ "センシャタイプの移動が",	"できる。数字は移動力。",	"どんな地形でも、あまり",	"足を取られないで進める。",	],
				[ "視界。",	"数字はその範囲。",	"軽戦車は、陸ユニットに",	"しては広め。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"移動するごとにへり、なくなる",	"と移動できなくなる。",	],
				[ "軽戦車の主砲。",	"下のタイプのユニットに",	"攻撃できる。",	"",	],
				[ "軽戦車砲の弾数。",	"主砲のタマが切れた時は、",	"自動的に副砲に持ちかえて",	"攻撃する。",	],
				[ "",	"",	"",	"",	],
				[ "副砲のマシンガン。",	"",	"",	"",	],
				[ "軽戦車砲での、歩兵系以外の",	"陸ユニットに対する攻撃力。",	"だいたいのユニットに",	"大きなダメージを与えられる。",	],
				[ "軽戦車砲での、フネに",	"対する攻撃力。",	"ダメージはあまり",	"与えられない。",	],
				[ "軽戦車砲での、潜水艦に",	"対する攻撃力。ほとんどない。",	"潜水艦のもぐる時には",	"攻撃できない。",	],
				[ "",	"",	"",	"",	],
				[ "軽戦車のマシンガンでの",	"歩兵系に対する攻撃力。",	"高いダメージを与えられる。",	"",	],
				[ "軽戦車のマシンガンでの、",	"歩兵系以外の陸ユニットに",	"対する攻撃力。",	"そこそこのいりょく。",	],
				[ "軽戦車のマシンガンでの",	"ヘリ系に対する攻撃力。",	"輸送ヘリに対しては",	"それなりに強い。",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "車両系ユニット。",	"軽戦車より",	"攻撃力、守備力ともに",	"強化された戦車。",	],
				[ "センシャタイプの移動が",	"できる。数字は移動力。",	"タイヤタイプにくらべ、平地",	"でも移動力が下がりにくい。",	],
				[ "視界。",	"数字はその範囲。",	"サクテキの時、周囲を",	"見るのに必要。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"移動するごとにへり、なくなる",	"と移動できなくなる。",	],
				[ "重戦車の主砲。",	"下のタイプのユニットに",	"攻撃できる。",	"",	],
				[ "重戦車砲の弾数。",	"主砲のタマが切れた時は、",	"自動的に副砲に持ちかえて",	"攻撃する。",	],
				[ "",	"",	"",	"",	],
				[ "副砲のマシンガン。",	"",	"",	"",	],
				[ "重戦車砲での、歩兵系以外の",	"陸ユニットに対する攻撃力。",	"はかいりょくバツグンだが、",	"同じ重戦車に対してはごかく。",	],
				[ "重戦車砲での、フネに",	"対する攻撃力。",	"そこそこのいりょく。",	"",	],
				[ "重戦車砲での、潜水艦に",	"対する攻撃力。弱い。",	"潜水艦のもぐる時には",	"攻撃できない。",	],
				[ "",	"",	"",	"",	],
				[ "重戦車のマシンガンでの",	"歩兵系に対する攻撃力。",	"軽戦車のそれより、",	"高いいりょく。",	],
				[ "重戦車のマシンガンでの",	"歩兵系以外の陸ユニットに",	"対する攻撃力。",	"ほぼごかくに戦える。",	],
				[ "重戦車のマシンガンでの",	"ヘリ系に対する攻撃力。",	"輸送ヘリには、それなりに",	"ダメージを与えられる。",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "ブラックホール軍が開発した",	"新型兵器。",	"重戦車以上の力を持っている。",	"",	],
				[ "センシャタイプの移動が",	"できる。数字は移動力。",	"タイヤタイプにくらべ、平地",	"でも移動力が下がりにくい。",	],
				[ "視界。",	"数字はその範囲。",	"サクテキの時、周囲を",	"見るのに必要。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"移動するごとにへり、なくなる",	"と移動できなくなる。",	],
				[ "新型戦車の主砲。",	"下のタイプのユニットに",	"攻撃できる。",	"",	],
				[ "新型砲の弾数。",	"主砲のタマが切れた時は、",	"自動的に副砲に持ちかえて",	"攻撃する。",	],
				[ "",	"",	"",	"",	],
				[ "副砲のマシンガン。",	"",	"",	"",	],
				[ "新型砲での、歩兵系以外の",	"陸ユニットに対する攻撃力。",	"かなりのいりょく。",	"",	],
				[ "新型砲での、フネに",	"対する攻撃力。",	"ロケット砲には少しおとるが、",	"それなりのいりょく。",	],
				[ "新型砲での、潜水艦に対する",	"攻撃力。あまり強くない。",	"潜水艦のもぐる時には",	"攻撃できない。",	],
				[ "",	"",	"",	"",	],
				[ "新型戦車のマシンガンでの",	"歩兵系に対する攻撃力。",	"重戦車のマシンガンより、",	"高いいりょく。",	],
				[ "新型戦車のマシンガンでの",	"歩兵系以外の陸ユニットに",	"対する攻撃力。",	"副砲でもごかくに戦える。",	],
				[ "新型戦車のマシンガンでの",	"ヘリ系に対する攻撃力。",	"戦闘ヘリに対しても",	"少しダメージをあたえられる。",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "グリーンアースが開発した",	"地上最強の戦車。",	"足がおそいのが欠点。",	"",	],
				[ "センシャタイプの移動が",	"できる。数字は移動力。",	"タイヤタイプにくらべ、平地",	"でも移動力が下がりにくい。",	],
				[ "視界。",	"数字はその範囲。",	"サクテキの時、周囲を",	"見るのに必要。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"移動するごとにへり、なくなる",	"と移動できなくなる。",	],
				[ "グレートタンクの主砲。",	"下のタイプのユニットに",	"攻撃できる。",	"",	],
				[ "グレート砲の弾数。",	"主砲のタマが切れた時は、",	"自動的に副砲に持ちかえて",	"攻撃する。",	],
				[ "",	"",	"",	"",	],
				[ "副砲のマシンガン。",	"",	"",	"",	],
				[ "グレート砲での、歩兵系以外の",	"陸ユニットに対する攻撃力。",	"重戦車すら一発で倒すほどの",	"いりょくをもつ。",	],
				[ "グレート砲での、フネに",	"対する攻撃力。",	"",	"",	],
				[ "グレート砲での、潜水艦に",	"対する攻撃力。",	"潜水艦のもぐる時には",	"攻撃できない。",	],
				[ "",	"",	"",	"",	],
				[ "グレート砲のマシンガンでの",	"歩兵系に対する攻撃力。",	"新型戦車のそれより、",	"高いいりょく。",	],
				[ "グレートタンクの",	"マシンガンでの", "歩兵系以外の陸ユニットに",	"対する攻撃力。",	],
				[ "グレートタンクの", "マシンガンでの",	"ヘリ系に対する攻撃力。",	"",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "輸送系ユニット。",	"歩兵系ユニットを運べるほか、",	"まわりのユニットへの",	"燃料、弾の補給ができる。",	],
				[ "センシャタイプの移動が",	"できる。数字は移動力。",	"タイヤタイプにくらべ、平地",	"でも移動力が下がりにくい。",	],
				[ "視界。",	"数字はその範囲。",	"サクテキの時、周囲を",	"見るのに必要。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"移動するごとにへり、なくなる",	"と移動できなくなる。",	],
				[ "輸送車は、攻撃できない。",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "車両系ユニット。",	"間接攻撃ができるユニットの",	"中では、ねだんも安い。",	"",	],
				[ "センシャタイプの移動が",	"できる。数字は移動力。",	"平地でも足を取られないので、",	"ロケット砲よりも使いやすい。",	],
				[ "視界。",	"数字はその範囲。",	"サクテキで攻撃するには、",	"ほかのユニットの視界がいる。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"移動するごとにへり、なくなる",	"と移動できなくなる。",	],
				[ "自走砲の主砲、キャノン砲。",	"下のタイプのユニットに",	"攻撃できる。",	"",	],
				[ "キャノン砲の弾数。",	"タマがなくなると、主砲",	"での攻撃はできない。",	"",	],
				[ "キャノン砲の射程。",	"ロケット砲が攻撃できない",	"「２」の射程に攻撃できる",	"ところは、みのがせない。",	],
				[ "",	"",	"",	"",	],
				[ "主砲での、歩兵系に対する",	"攻撃力。",	"",	"",	],
				[ "主砲での、歩兵系以外の",	"陸ユニットに対する攻撃力。",	"",	"",	],
				[ "主砲での、フネに対する",	"攻撃力。",	"",	"",	],
				[ "主砲での、潜水艦に対する",	"攻撃力。",	"潜水艦のもぐる時には",	"攻撃できない。",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "車両系ユニット。",	"陸、海に攻撃できる",	"強力な間接攻撃ユニット。",	"攻撃範囲も広い。",	],
				[ "タイヤタイプの移動ができる。",	"数字は移動力。",	"平地では移動力が下がるため、",	"自走砲よりも移動しにくい。",	],
				[ "視界。",	"数字はその範囲。",	"ロケット砲に視界は",	"ほとんどない。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"移動するごとにへり、なくなる",	"と移動できなくなる。",	],
				[ "主砲のロケット砲。",	"下のタイプのユニットに",	"攻撃できる。",	"",	],
				[ "ロケット砲の弾数。",	"タマがなくなると、攻撃は",	"できない。",	"",	],
				[ "ロケット砲の射程。",	"この範囲の陸ユニット、",	"海ユニットに攻撃できる。",	"",	],
				[ "",	"",	"",	"",	],
				[ "ロケット砲での、",	"歩兵系に対する攻撃力。",	"大きなダメージを与えられる。",	"",	],
				[ "ロケット砲での、歩兵系以外の",	"陸ユニットに対する攻撃力。",	"安定した強さをほこる。",	"",	],
				[ "ロケット砲での、",	"船系に対する攻撃力。",	"ごかくか、それ以上の強さを",	"持っている。",	],
				[ "ロケット砲での、潜水艦に",	"対する攻撃力。かなり強い。",	"潜水艦のもぐる時には",	"攻撃できない。",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "車両系ユニット。",	"対地、対空攻撃をこなす。",	"歩兵系や空ユニットに強いが、",	"戦車などにはやられてしまう。",	],
				[ "センシャタイプの移動が",	"できる。数字は移動力。",	"タイヤタイプにくらべ、平地",	"でも移動力が下がりにくい。",	],
				[ "視界。",	"数字はその範囲。",	"サクテキの時、周囲を",	"見るのに必要。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"移動するごとにへり、なくなる",	"と移動できなくなる。",	],
				[ "主砲のバルカン砲。",	"下のタイプのユニットに",	"攻撃できる。",	"",	],
				[ "バルカン砲の弾数。",	"タマがなくなると、攻撃が",	"できなくなる。",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "バルカン砲での、歩兵系に",	"対する攻撃力。",	"傷ついてさえいなければ、",	"一撃で相手を倒せる。",	],
				[ "バルカン砲での、歩兵系以外の",	"陸ユニットに対する攻撃力。",	"軽戦車、重戦車以外となら",	"ごかくに戦える。",	],
				[ "バルカン砲での、ヘリ系に",	"対する攻撃力。",	"はかいりょくバツグン。",	"",	],
				[ "バルカン砲での、空ユニットに",	"対する攻撃力。",	"かなり強力。",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "車両系ユニット。",	"間接攻撃ができ、",	"空ユニットに強い。",	"視界が広いのがとくちょう。",	],
				[ "タイヤタイプの移動ができる。",	"数字は移動力。",	"タイヤのため、平地では",	"思うように移動できない。",	],
				[ "視界。",	"数字はその範囲。",	"サクテキの時、周囲を",	"見るのに必要。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"移動するごとにへり、なくなる",	"と移動できなくなる。",	],
				[ "主砲の対空ミサイル。",	"下のタイプのユニットに",	"攻撃できる。",	"",	],
				[ "対空ミサイルの弾数。",	"タマがなくなると、攻撃",	"できなくなる。",	"",	],
				[ "対空ミサイルの射程。",	"この範囲の空ユニットに",	"攻撃できる。",	"",	],
				[ "",	"",	"",	"",	],
				[ "対空ミサイルでの、ヘリ系に",	"対する攻撃力。",	"はかいりょくバツグン。",	"",	],
				[ "対空ミサイルでの、",	"空ユニットに対する攻撃力。",	"大きなダメージを与えられる。",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "ブラックホール軍が開発した",	"間接攻撃ユニット。",	"パイプと工場だけを",	"移動することができる。",	],
				[ "パイプタイプの移動ができる。",	"数字は移動力。",	"パイプと工場しか",	"移動することができない。",	],
				[ "視界。",	"数字はその範囲。",	"サクテキの時、周囲を",	"見るのに必要。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"移動するごとにへり、なくなる",	"と移動できなくなる。",	],
				[ "主砲のパイプ砲。",	"下のタイプのユニットに",	"攻撃できる。",	"",	],
				[ "パイプ砲の弾数。",	"タマがなくなると、攻撃は",	"できない。",	"",	],
				[ "パイプ砲の射程。",	"この範囲の陸ユニット、",	"海ユニット、空ユニット、",	"すべてに攻撃できる。",	],
				[ "",	"",	"",	"",	],
				[ "パイプ砲での", "歩兵系に対する攻撃力。",	"大きなダメージを与えられる。",	"",	],
				[ "パイプ砲での、歩兵系以外の",	"陸ユニットに対する攻撃力。",	"安定した強さをほこる。",	"",	],
				[ "パイプ砲での、",	"船系に対する攻撃力。",	"",	"",	],
				[ "パイプ砲での、潜水艦に",	"対する攻撃力。",	"潜水艦のもぐる時には",	"攻撃できない。",	],
				[ "パイプ砲での、ヘリ系に",	"対する攻撃力。",	"",	"",	],
				[ "パイプ砲での、",	"空ユニットに対する攻撃力。",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "ブラックホール軍が開発した",	"なぞの流動兵器。",	"移動した先のユニットを",	"のみこんで破壊してしまう。",	],
				[ "ヘルリウムタイプの移動。",	"数字は移動力。",	"地上を１しか進めない。",	"",	],
				[ "視界。",	"数字はその範囲。",	"サクテキの時、周囲を",	"見るのに必要。",	],
				[ "ヘルリウムは",	"燃料を必要としない。",	"",	"",	],
				[ "ヘルリウムは武器を",	"持たないため、攻撃できない。",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "空系ユニット。",	"空ユニットに対して強い。",	"全ユニット中、最高の",	"移動力をほこる。",	],
				[ "飛行タイプの移動ができる。",	"数字は移動力。",	"飛行タイプは、地形による",	"移動力の変化を受けない。",	],
				[ "視界。",	"数字はその範囲。",	"サクテキの時、周囲を",	"見るのに必要。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"毎ターン５消費する。",	"なくなるとツイラク。",	],
				[ "主砲の対空ミサイル。",	"下のタイプのユニットに",	"攻撃できる。",	"",	],
				[ "対空ミサイルの弾数。",	"タマがなくなると、主砲",	"での攻撃はできない。",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "対空ミサイルでの、ヘリ系に",	"対する攻撃力。",	"大きなダメージを与えられる。",	"",	],
				[ "対空ミサイルでの、",	"空ユニットに対する攻撃力。",	"戦闘機どうしではごかくだが、",	"その他の空ユニットには強い。",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "空系ユニット。",	"陸、海に対して、とても",	"強力な攻撃ができる。",	"",	],
				[ "飛行タイプの移動ができる。",	"数字は移動力。",	"飛行タイプは、地形による",	"移動力の変化を受けない。",	],
				[ "視界。",	"数字はその範囲。",	"サクテキの時、周囲を",	"見るのに必要。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"毎ターン５消費する。",	"なくなるとツイラク。",	],
				[ "爆弾。",	"下のタイプのユニットに",	"攻撃できる。",	"",	],
				[ "爆弾の弾数。",	"タマがなくなると、主砲",	"での攻撃はできない。",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "爆弾での、歩兵系に",	"対する攻撃力。",	"大きなダメージを与えられる。",	"",	],
				[ "爆弾での、歩兵系以外の",	"陸ユニットに対する攻撃力。",	"重戦車以上の力を持っている。",	"",	],
				[ "爆弾での、フネに",	"対する攻撃力。",	"はかいりょくバツグン。",	"",	],
				[ "爆弾での、潜水艦に",	"対する攻撃力。かなり強い。",	"潜水艦のもぐる時には",	"攻撃できない。",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "空系ユニット。",	"いろいろなユニットに",	"攻撃できるため、",	"あつかいやすい。",	],
				[ "飛行タイプの移動ができる。",	"数字は移動力。",	"飛行タイプは、地形による",	"移動力の変化を受けない。",	],
				[ "視界。",	"数字はその範囲。",	"戦闘ヘリは、空ユニットに",	"しては広め。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"毎ターン２消費する。",	"なくなるとツイラク。",	],
				[ "主砲の対地ミサイル。",	"下のタイプのユニットに",	"攻撃できる。",	"",	],
				[ "対地ミサイルの弾数。",	"主砲のタマが切れた時は、",	"自動的に副砲に持ちかえて",	"攻撃する。",	],
				[ "",	"",	"",	"",	],
				[ "副砲のマシンガン。",	"陸ユニットと、ヘリに",	"対して攻撃できる。",	"",	],
				[ "対地ミサイルでの、",	"歩兵系以外の陸ユニットに",	"対する攻撃力。ほとんどの",	"ユニットとごかくに戦える。",	],
				[ "対地ミサイルでの、",	"船系に対する攻撃力。",	"あまり強くない。",	"",	],
				[ "対地ミサイルでの、潜水艦に対",	"する攻撃力。あまり強くない。",	"潜水艦のもぐる時には",	"攻撃できない。",	],
				[ "",	"",	"",	"",	],
				[ "副砲での、歩兵系に",	"対する攻撃力。",	"大きなダメージを与えられる。",	"",	],
				[ "副砲での、歩兵系以外の",	"陸ユニットに対する攻撃力。",	"いりょくはそこそこ。",	"",	],
				[ "副砲での、ヘリ系に", "対する攻撃力。",	"戦闘ヘリには、ごかくだが、",	"輸送ヘリに対して強い。"	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "輸送系ユニット。",	"歩兵、バズーカ兵を運ぶ",	"ことができる。",	"",	],
				[ "飛行タイプの移動ができる。",	"数字は移動力。",	"飛行タイプは、地形による",	"移動力の変化を受けない。",	],
				[ "視界。",	"数字はその範囲。",	"サクテキの時、周囲を",	"見るのに必要。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"毎ターン２消費する。",	"なくなるとツイラク。",	],
				[ "輸送ヘリは、攻撃することが",	"できない。",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "空ユニット。かくれると",	"戦闘機、ステルス以外には",	"攻撃されなくなり、隣あわない",	"かぎり、敵に発見されない。",	],
				[ "飛行タイプの移動ができる。",	"数字は移動力。",	"飛行タイプは、地形による",	"移動力の変化を受けない。",	],
				[ "視界。",	"数字はその範囲。",	"サクテキの時、周囲を",	"見るのに必要。",	],
				[ "毎ターン５消費する。",	"かくれていると、",	"毎ターン８消費する。",	"なくなるとツイラク。",	],
				[ "主砲の汎用ミサイル。",	"下のタイプのユニットに",	"攻撃できる。",	"",	],
				[ "汎用ミサイルの弾数。",	"タマがなくなると、主砲",	"での攻撃はできない。",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "汎用ミサイルでの、", "歩兵系に",	"対する攻撃力。",	"",	],
				[ "汎用ミサイルでの、",	"歩兵系以外の陸ユニットに",	"対する攻撃力。",	"",	],
				[ "汎用ミサイルでの、",	"船系に対する攻撃力。",	"",	"",	],
				[ "汎用ミサイルでの、潜水艦に",	"対する攻撃力。",	"潜水艦のもぐる時には",	"攻撃できない。",	],
				[ "汎用ミサイルでの、ヘリ系に",	"対する攻撃力。",	"大きなダメージを与えられる。",	"",	],
				[ "汎用ミサイルでの、",	"空ユニットに対する攻撃力。",	"戦闘機よりはややおとる。",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "ブラックホール軍の無人兵器。",	"みずから爆発することで",	"周囲３マスの敵味方すべてに",	"ダメージを与える。",	],
				[ "飛行タイプの移動ができる。",	"数字は移動力。",	"飛行タイプは、地形による",	"移動力の変化を受けない。",	],
				[ "視界。",	"数字はその範囲。",	"サクテキの時、周囲を",	"見るのに必要。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"毎ターン５消費する。",	"なくなるとツイラク。",	],
				[ "ブラックボムは武器を",	"持たないため、攻撃できない。",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "海系ユニット。",	"ロケット砲よりも広い攻撃",	"範囲をもっている。",	"",	],
				[ "船タイプの移動ができる。",	"数字は移動力。",	"海、岩礁を移動できる。",	"",	],
				[ "視界。",	"数字はその範囲。",	"サクテキの時、周囲を",	"見るのに必要。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"毎ターン１消費する。",	"なくなるとチンボツ。",	],
				[ "主砲のキャノン砲。",	"下のタイプのユニットに",	"攻撃できる。",	"",	],
				[ "キャノン砲の弾数。",	"タマがなくなると、攻撃は",	"できない。",	"",	],
				[ "主砲の射程。",	"戦艦は、全ユニット中でも",	"広い射程をもっている。",	"",	],
				[ "",	"",	"",	"",	],
				[ "キャノン砲での、歩兵系に",	"対する攻撃力。",	"大きなダメージを与えられる。",	"",	],
				[ "キャノン砲での、歩兵系以外の",	"陸ユニットに対する攻撃力。",	"ロケット砲なみの強さを",	"持っている。",	],
				[ "キャノン砲での、フネに", "対する攻撃力。",	"大きなダメージを与えられる。",	"",	],
				[ "キャノン砲での、潜水艦に",	"対する攻撃力。とても強い。",	"潜水艦のもぐる時には",	"攻撃できない。",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "海系ユニット。潜水艦と",	"空ユニットに強い。",	"そのほか、ヘリを",	"２ユニット搭載できる。",	],
				[ "船タイプの移動ができる。",	"数字は移動力。",	"海、岩礁を移動できる。",	"",	],
				[ "視界。",	"数字はその範囲。",	"サクテキの時、周囲を",	"見るのに必要。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"毎ターン１消費する。",	"なくなるとチンボツ。",	],
				[ "主砲。",	"下のタイプのユニットに",	"攻撃できる。",	"",	],
				[ "主砲の弾数。",	"主砲のタマが切れた時は、",	"自動的に副砲に持ちかえて",	"攻撃する。",	],
				[ "",	"",	"",	"",	],
				[ "副砲の対空マシンガン。",	"",	"",	"",	],
				[ "対空ミサイルでの、ヘリ系に",	"対する攻撃力。",	"はかいりょくバツグン。",	"",	],
				[ "対艦ミサイルでの、潜水艦に", "対する攻撃力。",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "対空マシンガンでの、ヘリ系に", "対する攻撃力。",	"無傷なら、一撃で",	"しとめられる。",	],
				[ "対空マシンガンでの、飛行機系",	"に対する攻撃力。",	"ごかくに戦えるだけの攻撃力を",	"持っている。",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "輸送系ユニット。陸ユニットを",	"２ユニット搭載できる。",	"輸送中にやられると、中の",	"ユニットもなくなる。",	],
				[ "輸送船タイプの移動ができる。",	"数字は移動力。",	"船タイプとのちがいは",	"浅瀬を移動できること。",	],
				[ "視界。",	"数字はその範囲。",	"サクテキの時、周囲を",	"見るのに必要。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"毎ターン１消費する。",	"なくなるとチンボツ。",	],
				[ "輸送船は、武器をもってない",	"ので、攻撃ができない。",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "海系ユニット。もぐると",	"潜水艦、護衛艦以外には",	"攻撃されなくなり、隣あわない",	"かぎり、敵に発見されない。",	],
				[ "船タイプの移動ができる。",	"数字は移動力。",	"海、岩礁を移動できる。",	"",	],
				[ "視界。",	"数字はその範囲。",	"潜水艦は、海ユニット中",	"最大の視界をもっている。",	],
				[ "毎ターン１消費する。",	"もぐっていると、",	"毎ターン５消費する。",	"なくなるとチンボツする。",	],
				[ "主砲。",	"下のタイプのユニットに",	"攻撃できる。",	"",	],
				[ "魚雷の弾数。",	"タマがなくなると、攻撃は",	"できない。",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "主砲での、フネに対する",	"攻撃力。",	"",	"",	],
				[ "主砲での、潜水艦に対する", "攻撃力。",	"潜水艦どうしはごかく。",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "ブラックホール軍の新型兵器。",	"歩兵系を２ユニット搭載でき、",	"修理で隣のユニットのＨＰを",	"１回復し、補給も同時に行う。",	],
				[ "輸送船タイプの移動ができる。",	"数字は移動力。",	"船タイプとのちがいは",	"浅瀬を移動できること。",	],
				[ "視界。",	"数字はその範囲。",	"サクテキの時、周囲を",	"見るのに必要。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"毎ターン１消費する。",	"なくなるとチンボツ。",	],
				[ "ブラックボートは武器を",	"持たないため、攻撃できない。",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
			],
			[
				[ "連合軍が開発した海ユニット。",	"空ユニットを２ユニット搭載",	"し、同時に補給も行う。",	"空への広い間接攻撃をもつ。",	],
				[ "船タイプの移動ができる。",	"数字は移動力。",	"海、岩礁を移動できる。",	"",	],
				[ "視界。",	"数字はその範囲。",	"空母は",	"広い視界をもっている。",	],
				[ "ガソリン。",	"数字は　もっている量。",	"毎ターン１消費する。",	"なくなるとチンボツ。",	],
				[ "主砲の対空ミサイル。",	"下のタイプのユニットに",	"攻撃できる。",	"",	],
				[ "対空ミサイルの弾数。",	"タマがなくなると、攻撃",	"できなくなる。",	"",	],
				[ "対空ミサイルの射程。",	"この範囲の空ユニットに",	"攻撃できる。",	"とてつもなく広い。",	],
				[ "",	"",	"",	"",	],
				[ "対空ミサイルでの、ヘリ系に",	"対する攻撃力。",	"はかいりょくバツグン。",	"",	],
				[ "対空ミサイルでの、", "空ユニットに対する攻撃力。",	"大きなダメージを与えられる。",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
				[ "",	"",	"",	"",	],
			],
	],
	Weaponnametxt: [
		"None",
		"Machine Gun",
		"Bazooka",
		"Cannon",
		"Cannon",
		"Neocannon",
		"Megacannon",
		"Cannon",
		"Rockets",
		"Vulcan",
		"Missiles",
		"Pipe Cannon",
		"Bombs",
		"対地ミサイル",
		"Omni-missile",
		"Missiles",
		"Anti-air Gun",
		"Torpedoes",
	],
	Shoguninfotxt: [
		[ "A young, energetic Orange Star CO who", "is a top-notch tank commander.", "", "Hit: Clubbin'", "Miss: Easy listening",
			"Fights well in the open. Firepower of", "all units increased on plains.", "", "",
			"Beat Down", "Firing range of vehicles is increased by one.", "Firepower of all units is increased on plains.", "", "",
			"Block Rock", "Firing range of vehicles is increased by one,", "and movement range by two. Firepower of", "all units is greatly increased on plains.", "" ],
		[ "A young Orange Star CO. She strives to", "follow in the footsteps of her big sister, Nell.", "Brings a breath of fresh air to her units.", "Hits: Hard work", "Miss: Excuses",
			"Her troops are quite hardworking, and they", "increase base resupplies by one.", "", "",
			"Lucky Lass", "Improves her chance to strike with massive", "firepower and destroy her enemies. Lucky!", "", "",
			"Covering Fire", "Provides covering fire by launching three", "missiles from the Orange Star HQ in", "Omega Land.", "" ],
		[ "Rachel's big sister and supreme commander", "of Orange Star, Nell is an able commanding", "officer with a superb sense of fashion.", "Hit: Willful students", "Miss: Downtime",
			"Sometimes strikes with more force than", "expected. Is the first to tell you she", "was born lucky.", "",
			"Lucky Star", "Improves her chance to strike with", "increased firepower and destroy", "her enemies. Lucky!", "",
			"Lady Luck", "Improves her chance to strike with massive", "firepower and destroy her enemies.", "Very lucky!", "" ],
		[ "Owner of the Battle Maps shop. Rumored to be", "Orange Star's former commander-in-chief.", "", "Hit: Tea", "Miss: Medicine",
			"Uses secret trade routes to get lower", "deployment costs for all units.", "", "",
			"Barter", "Speaks with such authority that he", "obtains even lower deployment costs.", "", "",
			"Merchant Union", "Deployment costs drop. Merchant pals gather", "from around the globe and help him deploy", "ground units from any allied property.", "" ],
		[ "A whiz with a wrench, this mechanical boy", "wonder earned fame as the hero who saved", "Macro Land in the last great war.", "Hit: Mechanics", "Miss: Waking up early",
			"No real weaknesses. Proficient with air, sea,", "and land units. Ready to fight wherever", "and whenever.", "",
			"Hyper Repair", "Restores two HP to all units.", "", "", "",
			"Hyper Upgrade", "Restores five HP to all units. Firepower rises,", "and unit movement increases by one space.", "", "" ],
		[ "A brave and loyal friend, not to mention a", "strong fighter, Max hates any kind of treachery,", "preferring a good, old-fashioned brawl.", "Hit: Weight training", "Miss: Studying",
			"Non-infantry direct-combat units are tops.", "Indirect-combat troops are reduced in range", "and firepower.", "",
			"Max Force", "Firepower of non-infantry direct-combat", "units rises.", "", "",
			"Max Blast", "Firepower of non-infantry direct-combat", "units rises greatly.", "", "" ],
		[ "A strong-willed Orange Star special", "forces captain who loves long hair.", "", "Hit: Chocolate", "Miss: Cowards",
			"As an infantry specialist, her foot soldiers do", "more damage and capture faster. Non-infantry", "direct-combat units have weaker firepower.", "",
			"Double Time", "Infantry units receive a movement bonus of", "one space. Their attack also increases.", "", "",
			"Victory March", "Increases all foot soldiers' movement by 2 spaces", "and gives them an attack bonus. They can capture", "in one turn even if they're not at full HP.", "" ],
		[ "Olaf may be a pompous braggart, but his", "tactical prowess has earned him the respect", "of his peers and the admiration of his people.", "Hit: Warm boots", "Miss: Rain clouds",
			"Winter weather poses no problem for Olaf or", "his troops. Snow causes his firepower to rise,", "and his troops can move through it with", "no fuel penalty.",
			"Blizzard", "Causes snow to fall for two days, forcing", "his foe to consume more fuel.", "", "",
			"Winter Fury", "A mighty blizzard causes two HP of", "damage to all deployed enemy troops. The snow", "will also force the foe to use more fuel.", "" ],
		[ "A laid-back style masks his dependability.", "A peerless marksman. Works well with Olaf.", "", "Hit: Cats", "Miss: Rats",
			"Range for distance weapons is one space greater", "than other COs. They cause more damage, too.", "Weak in non-infantry direct combat.", "",
			"Snipe Attack", "Increases range of distance weapons by", "one space. Attack strength of these", "units also increases.", "",
			"Super Snipe", "Distance weapons can shoot two spaces", "farther than normal. They also receive a", "firepower bonus.", "" ],
		[ "Blue Moon's rich boy CO and Sasha's little brother.", "A gifted CO with a sharp, if insecure, mind.", "", "Hits: Olaf and Grit", "Miss: Black Hole",
			"The heir to a vast fortune who can purchase units", "at bargain-basement prices. Troops' low firepower", "stems from his lack of experience.", "",
			"Gold Rush", "Increases deployment funds by one and a", "half times.", "", "",
			"Power of Money", "Uses wealth to increase the strength", "of weapons. The more funds available, the", "stronger the weapons become.", "" ],
		[ "Colin's sister. Normally ladylike, but becomes", "daring when she gets angry.", "", "Hit: Truffles", "Miss: Pork rinds",
			"Being the heir to a vast fortune, she gets", "an additional 100 funds from allied bases.", "", "",
			"Market Crash", "The more funds she has, the more she can", "decrease the enemy's power meter.", "", "",
			"War Bonds", "Earns funds when she inflicts damage on a", "foe. The greater the damage, the more", "she earns.", "" ],
		[ "A bighearted former pirate who hates", "fighting. Also a great surfer. Dude!", "", "Hit: The sea", "Miss: High places",
			"Naval units have superior firepower, but air", "units have weaker attacks.", "", "",
			"Tsunami", "Causes a tidal wave that does one HP of", "damage to all enemy units and reduces", "their fuel by half.", "",
			"Typhoon", "Causes a giant tidal wave that does two HP of", "damage to all enemy units and reduces their fuel", "by half. Produces rain for one full day.", "" ],
		[ "Green Earth's daring pilot hero. Joined the", "air force to honor his father's legacy.", "", "Hit: Lucky goggles", "Miss: Swimming",
			"Air units use less fuel than those of other", "armies and also have superior firepower.", "Naval units have weaker firepower.", "",
			"Lightning Drive", "Able to move non-infantry units", "twice during a turn, but their firepower", "is cut in half.", "",
			"Lightning Strike", "Able to move non-infantry units", "twice during a turn. No firepower penalty.", "", "" ],
		[ "A gallant tank-driving CO who excels at", "analyzing information. A hero of the last war.", "", "Hit: Dandelions", "Miss: Unfit COs",
			"Vehicular units have superior firepower. Air", "and naval units are comparatively weak.", "", "",
			"Turbo Charge", "Movement range of vehicular units goes up", "by one space. Attack increases, and fuel", "and ammo supplies are also replenished.", "",
			"Overdrive", "Movement range of vehicular units goes up", "by two spaces. Attack dramatically increases,", "and fuel and ammo supplies are also replenished.", "" ],
		[ "A Green Earth CO who values chivalry and", "honor above all else. Often commands his", "units to charge.", "Hit: Honor", "Miss: Retreating",
			"Increased defense vs. indirect attacks. When", "he captures com towers, his defense", "also goes up.", "",
			"Tower Shield", "Improves defense vs. indirect attacks and", "doubles the effect of com towers.", "", "",
			"Tower of Power", "Improves defense vs. indirect attacks and", "triples the effect of com towers.", "", "" ],
		[ "The emperor of Yellow Comet. A skilled CO", "who has a soft spot for his daughter.", "", "Hit: Sonja", "Miss: Computers",
			"All units have high offensive and", "defensive abilities, but are expensive", "to deploy.", "",
			"Morale Boost", "Increases firepower of all units.", "", "", "",
			"Samurai Spirit", "Greatly strengthens offensive and defensive", "abilities of all units. Firepower doubles when", "inflicting damage in counterattacks.", "" ],
		[ "Kanbei's cool and collected daughter who likes to", "plan before acting. She excels in information", "warfare.", "Hit: Computers", "Miss: Bugs",
			"All units have extended vision range in Fog of", "War. Keeps HP intel hidden from foes. Manipulates", "info to reduce enemy terrain effects by one.", "",
			"Enhanced Vision", "Increases the vision range of all units by one", "space and allows them to see into woods and", "reefs. Reduces enemy terrain effects by two.", "",
			"Counter Break", "Increases vision range of all units by one space", "and allows them to see into woods and reefs.", "Counterattacks are stronger. Reduces enemy", "terrain effects by three.", "" ],
		[ "A former paratrooper rumored to have", "been quite the CO in his day.", "Hit: Lazy, rainy days", "Miss: Busy malls", "",
			"Powerful infantry & high transport move-", "ment range. Superior firepower for copters,", "but naval units have weaker attacks.", "",
			"Copter Command", "Attack copter firepower increases.", "Infantry units with 9 HP appear in all", "allied cities, ready to be moved.", "",
			"Airborne Assault", "Attack copter firepower increases.", "Mech units with 9 HP appear in all", "allied cities, ready to be moved.", "" ],
		[ "A Yellow Comet CO with a dynamic", "personality. Could care less about the", "details. Nicknamed ''Lightning Grimm.''", "Hit: Donuts", "Miss: Planning",
			"Firepower of all units is increased, thanks to", "his daredevil nature, but their defense is", "a little weak.", "",
			"Knuckleduster", "Increases the attack of all units.", "", "", "",
			"Haymaker", "Greatly increases the attack of all units.", "", "", "" ],
		[ "A CO of the Black Hole Army who will stop at", "nothing to achieve his goals.", "", "Hit: Black coffee", "Miss: Incompetence",
			"All units possess superior firepower.", "His CO Power builds up more slowly than", "those of the other COs.", "",
			"Black Wave", "All damaged units recover one HP. In", "addition, all enemy units suffer one HP", "of damage.", "",
			"Black Storm", "All damaged units recover two HP. In", "addition, all enemy units suffer two HP", "of damage.", "" ],
		[ "The strongman of the Black Hole Army.", "Promoted from private by Hawke, who was", "impressed by his natural ability.", "Hit: Meat", "Miss: Vegetables",
			"High firepower, but relies solely on", "strength. Shoddy technique sometimes", "reduces the damage his units deal.", "",
			"Brute Force", "Increases dispersion of fire. There is a chance of", "getting a superstrong blow, but units' firepower", "might unexpectedly drop instead.", "",
			"Barbaric Blow", "Attack power increases dramatically, but so", "does the dispersion rate, which affects the", "amount of damage targets take.", "" ],
		[ "The wunderkind of the Black Hole forces. She's", "small but fierce. Invented most of Black Hole's", "new weapons.", "Hit: Getting her way", "Miss: Not getting it",
			"Skilled at taking advantage of terrain features.", "Can turn terrain effects into firepower bonuses.", "", "",
			"Terrain Tactics", "In addition to using terrain effects to increase", "firepower, drops movement cost for all units", "to one.", "",
			"Prime Tactics", "Terrain effects are doubled and used to increase", "attack strength. Additionally, movement cost for", "all units drops to one.", "" ],
		[ "A self-absorbed CO who believes his skills", "are matchless. Second to Hawke in rank.", "", "Hit: His own face", "Miss: Dirty things",
			"Adept at making quick command decisions,", "he stores up energy for his CO Power more", "rapidly than other COs.", "",
			"Sideslip", "Movement range for all units is increased", "by one space.", "", "",
			"Sidewinder", "Movement range for all units is increased", "by two spaces.", "", "" ],
		[ "New commander-in-chief of the Black Hole forces.", "A mysterious old man who has been alive a very,", "very long time. The mastermind of the Omega war.", "Hit: Long life", "Miss: Young 'uns!",
			"All units have superior", "firepower and defense.", "", "",
			"", "", "", "", "",
			"Ex Machina", "Fires shock waves that paralyze electrical", "systems and cause 3 HP of damage to all forces", "in range. Damaged units must skip their next turn.", "" ],
		[ "A robot-like CO with the Black Hole Army. No one", "knows his true identity! Gets a little bit smarter", "when he uses his CO Power.", "Hit: Energy", "Miss: Static electricity",
			"High firepower, but he relies solely on strength. His", "shoddy technique sometimes reduces the damage", "his units deal.", "",
			"Overclock", "Increases dispersion of fire. There is a chance of", "getting a superstrong blow, but units' firepower", "might suddenly drop instead.", "",
			"System Crash", "Attack power increases dramatically, but so does", "the dispersion rate, which affects the amount of", "damage targets take.", "" ],
		[ "A CO of the Black Hole Army who is always", "planning his next destructive act.", "Hits: Proverbs, ramen", "Miss: Fondue", "",
			"Adept at making quick decisions, he stores up", "energy for his CO Power at a faster rate than", "other COs. He's a master of road-based battles.", "",
			"Forced March", "Movement range for all units is increased", "by one space. Units have more firepower", "on roads.", "",
			"Trail of Woe", "Movement range for all units is increased", "by two spaces. Units have more firepower", "on roads.", "" ],
		[ "Jugger and Zak's commanding officer.", "Has a blunt, queen-like personality.", "", "Hit: Anything chic ", "Miss: Anything pass\u00e9",
			"An upper-crust CO who excels at urban", "warfare. Firepower of all on-base units is", "increased.", "",
			"Urban Blight", "Increases the attack of all units on a base.", "Also inflicts 3 HP of damage to enemy", "units on bases.", "",
			"High Society", "Greatly increases the attack of all units on", "a base. The more bases she controls, the more", "firepower she gains.", "" ],
	],
	number_nothing:	"----",
	unitlist:	{
		unitname:	"　Unit",
		hp:	"HP",
		gas:	"Gas",
		rounds:	"Rounds",
		none:	"　None",
		slash:	"/",
	},
	status:	{
		day:	"Day",
		units:	"Units",
		lost:	"Lost",
		bases:	"Bases",
		income:	"Income",
		funds:	"Funds",
		neutral:	"Neutral Bases",
	},
	country:	{
		rs: "Orange Star",
		bm: "Blue Moon",
		ge: "Green Earth",
		yc: "Yellow Comet",
		bh: "Black Hole",
	},
	shogun_status:	{
		skills:	"Existing skills",
		fp_data:	"Firepower data",
		fp_totalbonus:	"Total bonus",
		fp_terrainbonus:	"Terrain bonus",
		fp_otherbonus:	"　　Other bonus",
		def_data:	"Defence data",
		def_totalbonus:	"Total bonus",
		range_bonus:	"Range bonus",
		move_bonus:	"Movement bonus",
		close:	"Close",
		range:	"Range",
		comtower:	"Comtower",
		copower:	"CO Power",
		tagpartner:	"Tag partner",
		ability: "Special ability",
		luck:	"Luck",
		weather:	"Weather influence",
	},
	bonustypetxt: {
		all:					"All",
		closetype: 		"Close attack",
		rangetype:		"Range attack",
		infantry:			"Infantry",
		vehicle:			"Vehicular",
		transport:		"Transport",
		air:					"Air",
		ship:					"Ship",
		building:			"Base(terrain)",
		buildingplus:	"Base(control)",
		terrain:			"Terrain effects",
		bcopter:			"B-Copter",
		rain:					"Rain",
		snow:					"Snow",
		sandstorm:		"Sandstorm",
		moneyplus:		"Money",
		counter:			"Counter attack",
		tagplus:			"Support star",
		hide:					"Hide",
		atmosphere:		"Weather",
	},
	bonustypetxt2: {
		launchmissile:		{ txt: "Launch 3 missiles." },
		repair:						{ txt: "Base resupplies", hasvalue: true },
		cost:							{ txt: "Unit cost", hasvalue: true, ispercent: true },
		canproduceincity:	{ txt: "Can produce units in city." },
		healall:					{ txt: "Heal all units", hasvalue: true },
		heal:							{ txt: "Heal all units", hasvalue: true },
		capturemul:				{ txt: "Capture speed +50%", txt2: "Can capture in one turn." },
		movefree:					{ txt: { snow: "No fuel penalty in snow.", all: "All movement cost is 1.", plain: "Plain movement cost is 1.", wood: "Wood movement cost is 1." }, isarray: true },
		atmosphere:				{ txt: { snow: "Causes snow for 2 days.", rain: "Produces rain for 1 day." }, isarray: true },
		damage:						{ txt: "Damage all units", hasvalue: true },
		moneymul:					{ txt: "Increases funds by *1.5" },
		income:						{ txt: "Base funds", hasvalue: true },
		reducebreak:			{ txt: "Power －Money/500%" },
		payoff:						{ txt: "Fund by damage", hasvalue: true, ispercent: true },
		fuel:							{ txt: "Reduce fuel by half." },
		canmoveagain:			{ txt: "Move non-infantry again." },
		reducefuel:				{ txt: { air: "Air units fuel", stealth: "Fuel during hide" }, isarray: true, hasvalue: true },
		supplyall:				{ txt: "Supply fuel and ammo." },
		comtowerdef:			{ txt: "Defence +Comtower*10%." },
		comtowermul:			{ txt: "Com tower effect", hasvalue: true, ismultiply: true },
		concealhp:				{ txt: "Hide unit HP." },
		vision:						{ txt: "Vision", hasvalue: true },
		eneterraindef:		{ txt: "Terrain effects", hasvalue: true },
		canseeforestandreef: { txt: "Can see woods & reefs." },
		preemptiveattack: { txt: "Allow preemptive attack." },
		postincity:				{ txt: { infantry: "9 HP infantry units in cities.", mech: "9 HP mech units in cities." }, isarray: true },
		terraindefmul:		{ txt: "Terrain effect", hasvalue: true, ismultiply: true },
		dbolt:						{ txt: "3 damage and paralyze." },
		damagebase:				{ txt: "Damage on bases", hasvalue: true },
		missileguard:			{ txt: "Missile damage", hasvalue: true },
		cannonguard:			{ txt: "Cannon damage", hasvalue: true },
		bpplus:						{ txt: "Power by battle", hasvalue: true, ispercent: true },
		capture:					{ txt: "Capture", hasvalue: true },
	},
	atmospheretxt: {
		normal: 		"Clear　　　　　　　No effect",
		rain:				"Rain　　　　　　　 Fog of War. Vision －1.",
		snow:				"Snow　　　　　　　Consume double fuel.",
		sandstorm:	"Sandstorm　　　　Range －1.",
	},
	battle: {
		atk:	"ATK",
		def:	"DEF",
		dmg:	"DMG",
		result:	"Result",
	}
};

FWEditor_data.image.Japanese = {
	main_terrain_name:		{	img:	"maininfo", x: 0, y: 0, w: 32, h: 16 },
	main_unit_name:				{	img:	"maininfo", x: 0, y: 0, w: 32, h: 16 },
	main_tul_infobg:			{ img:	"maininfo", x: 0, y: 112, h: 56 },
	main_tu_infobg:				{ img:	"maininfo", x: 0, y: 56, h: 56 },
	main_t_infobg:				{ img:	"maininfo", x: 0, y: 0, h: 56 },
	main_t_star:					{ img:	"maininfo", x: 0, y: 168, w: 11, h: 10 },
	main_t_capture:				{ img:	"maininfo", x: 11, y: 168, w: 11, h: 11 },
	main_t_life:					{ img:	"maininfo", x: 22, y: 168, w: 11, h: 9 },
	main_u_life:					{ img:	"maininfo", x: 0, y: 723, w: 7, h: 6 },
	main_u_fuel:					{ img:	"maininfo", x: 7, y: 723, w: 7, h: 8 },
	main_u_ammo:					{ img:	"maininfo", x: 14, y: 723, w: 7, h: 5 },
	main_ul_question:			{ img:	"maininfo", x: 0, y: 1148, w: 16, h: 16 },
	sub_t_timg:						{ img:	"sub_tinfo", x: 0, y: 0, w: 48, h: 64 },
	sub_t_star:						{ img:	"sub_tinfo", x: 0, y: 240, w: 8, h: 8 },
	sub_t_defence:				{ img:	"sub_tinfo", x: 0, y: 0, w: 25, h: 16 },
	sub_t_income:					{ img:	"sub_tinfo", x: 0, y: 16, w: 25, h: 16 },
	sub_t_repair:					{ img:	"sub_tinfo", x: 0, y: 32, w: 25, h: 16 },
	sub_t_repairtype:			{ img:	"sub_tinfo", x: 0, y: 0, w: 24, h: 16 },
	sub_t_movecost:				{ img:	"sub_tinfo", x: 0, y: 0, w: 32, h: 16 },
	sub_u_statusbg:				{ img:	"sub_uinfo", x: 0, y: 0, w: 136, h: 154 },
	sub_u_move:						{ img:	"sub_uinfo", x: 0, y: 0, w: 32, h: 16 },
	sub_u_vision:					{ img:	"sub_uinfo", x: 0, y: 314, w: 32, h: 16 },
	sub_u_fuel:						{ img:	"sub_uinfo", x: 0, y: 330, w: 16, h: 16 },
	sub_u_slash:					{ img:	"sub_uinfo", x: 0, y: 346, w: 8, h: 8 },
	sub_u_range:					{ img:	"sub_uinfo", x: 0, y: 362, w: 32, h: 8 },
	sub_u_wave:						{ img:	"sub_uinfo", x: 0, y: 354, w: 8, h: 8 },
	sub_u_effectiveness:	{ img:	"sub_uinfo", x: 0, y: 0, w: 32, h: 32 },
	sub_u_utype:					{ img:	"sub_uinfo", x: 0, y: 0, w: 32, h: 32 },
	sub_m_bg:							{ img:	"sub_minfo", x: 0, y: 0, w: 56, h: 162 },
	sub_m_inf:						{ img:	"sub_minfo", x: 0, y: 0, w: 16, h: 16 },
	sub_day:							{ img:	"sub_minfo", x: 125, y: 162, w: 13, h: 14 },
	countryicon:					{ img:	"sub_minfo", x: 80, y: 0, w: 16, h: 16 },
	countryicon_wide:			{ img:	"sub_minfo", x: 96, y: 0, w: 29, h: 16 },
	main_menu_lu:					{ img:	"main", x: 0, y: 0, w: 4, h: 5 },
	main_menu_cu:					{ img:	"main", x: 8, y: 0, w: 0, h: 5 },
	main_menu_ru:					{ img:	"main", x: 4, y: 0, w: 4, h: 5 },
	main_menu_lm:					{ img:	"main", x: 0, y: 10, w: 4, h: 16 },
	main_menu_lms:				{ img:	"main", x: 0, y: 10, w: 2, h: 16 },
	main_menu_cm:					{ img:	"main", x: 8, y: 10, w: 0, h: 16 },
	main_menu_cm_noline:	{ img:	"main", x: 8, y: 12, w: 0, h: 8 },
	main_menu_cm_line:		{ img:	"main", x: 256, y: 10, w: 0, h: 16 },
	main_menu_rm:					{ img:	"main", x: 4, y: 10, w: 4, h: 16 },
	main_menu_rms:				{ img:	"main", x: 6, y: 10, w: 2, h: 16 },
	main_menu_ld:					{ img:	"main", x: 0, y: 5, w: 4, h: 5 },
	main_menu_cd:					{ img:	"main", x: 8, y: 5, w: 0, h: 5 },
	main_menu_rd:					{ img:	"main", x: 4, y: 5, w: 4, h: 5 },
	main_menu_icon:				{ img:	"main", x: 0, y: 0, w: 16, h: 16 },
	main_larrow_up:				{ img:	"main", x: 0, y: 138, w: 30, h: 18 },
	main_larrow_down:			{ img:	"main", x: 30, y: 138, w: 30, h: 18 },
	main_sarrow_up:				{ img:	"main", x: 60, y: 138, w: 16, h: 10 },
	main_sarrow_down:			{ img:	"main", x: 76, y: 138, w: 16, h: 10 },
	main_icon_force:			{ img:	"main", x: 92, y: 138, w: 14, h: 14 },
	main_sinfo_cdef:			{ img:	"main", x: 106, y: 138, w: 14, h: 14 },
	main_sinfo_rdef:			{ img:	"main", x: 120, y: 138, w: 14, h: 14 },
	main_sinfo_luck:			{ img:	"main", x: 134, y: 138, w: 14, h: 14 },
	main_gold:						{ img:	"main", x: 148, y: 138, w: 11, h: 8 },
	main_changemapsize:		{ img:	"main", x: 159, y: 138, w: 16, h: 16 },
	main_infinity:				{ img:	"main", x: 175, y: 138, w: 13, h: 7 },
	main_icon_forces:			{ img:	"main", x: 0, y: 90, w: 16, h: 16 },
	main_button_back:			{ img:	"main", x: 0, y: 156, w: 32, h: 32 },
	main_button_info:			{ img:	"main", x: 0, y: 188, w: 32, h: 32 },
	main_abutton:					{ img:	"main", x: 0, y: 220, w: 32, h: 16 },
	main_rbutton:					{ img:	"main", x: 0, y: 236, w: 32, h: 16 },
	main_bbutton:					{ img:	"main", x: 0, y: 252, w: 32, h: 16 },
	main_sinfo_help:			{ img:	"main", x: 0, y: 268, w: 128, h: 64 },
	main_encountanim:			{ img:	"main", x: 0, y: 0 },
	unit_large:						{ img:	"unitlarge", x: 0, y: 0 },
	atmosphere:						{ img:	"atmosphere", x: 0, y: 0 },
	atmosphere_cloud:			{ img:	"atmosphere", x: 0, y: 53, w: 128, h: 128 },
	terrain:							{ img:	"terrain", x: 0, y: 0, w: 16, h: 16 },
	unit:									{ img:	"unit", x: 0, y: 0, w: 16, h: 16 },
	number:								{ img:	"number", x: 0, y: 0 },
	font:									{ img:	"font", x: 0, y: 0, w: 8, h: 14 },
	shogunstatus_bg:			{ img:	"shogunstatus", x: 0, y: 0, w: 64, h: 16 },
	shogunstatus_sstar:		{ img:	"shogunstatus", x: 0, y: 80, w: 7, h: 7 },
	shogunstatus_lstar:		{ img:	"shogunstatus", x: 0, y: 136, w: 8, h: 9 },
	shogunstatus_break:		{ img:	"shogunstatus", x: 0, y: 192, w: 56, h: 16 },
	bg:										{ img:	"bg", x: 0, y: 0, w: 256, h: 320 },
	main_sinfo_bg:				{ img:	"bg", x: 256, y: 0, w: 256, h: 320 },
	sub_sinfo_box1:				{ img:	"sub_sinfo", x: 0, y: 0, w: 106, h: 47 },
	sub_sinfo_box2:				{ img:	"sub_sinfo", x: 0, y: 47, w: 106, h: 71 },
	sub_sinfo_star:				{ img:	"sub_sinfo", x: 0, y: 118, w: 13, h: 14 },
	shogun:								{ img:	"shogun", x: 0, y: 0, w: 144, h: 192 },
	main_msg_bg:					{ img:	"mainmsg", x: 0, y: 0, w: 256, h: 48 },
	shogun_name:					{ img:	"shogunname", x: 0, y: 0, w: 48, h: 16 },
	unit_status:					{ img:	"unitstatus", x: 0, y: 0, w: 8, h: 8 },
	cursor_rect:					{ img:	"cursor", x: 0, y: 0, w: 26, h: 26 },
	cursor_arrow:					{ img:	"cursor", x: 0, y: 0, w: 16, h: 16 },
	cursor_menu:					{ img:	"cursor", x: 0, y: 58, w: 8, h: 8 },
	cursor_msg:						{ img:	"cursor", x: 0, y: 258, w: 7, h: 6 },
	cursor_msg_yesno:			{ img:	"cursor", x: 7, y: 258, w: 6, h: 7 },
	cursor_move:					{ img:	"cursor", x: 0, y: 0, w: 16, h: 16 },
	cursor_target:				{ img:	"cursor", x: 0, y: 66, w: 32, h: 32 },
	cursor_missile:				{ img:	"cursor", x: 0, y: 178, w: 80, h: 80 },
	cursor_bbomb:					{ img:	"cursor", x: 0, y: 265, w: 112, h: 112 },
};

FWEditor_data.image.English = {
	main_terrain_name:		{	img:	"maininfo", x: 32, y: 0, w: 32, h: 16 },
	main_unit_name:				{	img:	"maininfo", x: 32, y: 0, w: 32, h: 16 },
	main_tul_infobg:			{ img:	"maininfo", y: 112, h: 56 },
	main_tu_infobg:				{ img:	"maininfo", x: 0, y: 56, h: 56 },
	main_t_infobg:				{ img:	"maininfo", x: 0, y: 0, h: 56 },
	main_t_star:					{ img:	"maininfo", x: 0, y: 168, w: 11, h: 10 },
	main_t_capture:				{ img:	"maininfo", x: 11, y: 168, w: 11, h: 11 },
	main_t_life:					{ img:	"maininfo", x: 22, y: 168, w: 11, h: 9 },
	main_u_life:					{ img:	"maininfo", x: 0, y: 723, w: 7, h: 6 },
	main_u_fuel:					{ img:	"maininfo", x: 7, y: 723, w: 7, h: 8 },
	main_u_ammo:					{ img:	"maininfo", x: 14, y: 723, w: 7, h: 5 },
	main_ul_question:			{ img:	"maininfo", x: 0, y: 1148, w: 16, h: 16 },
	sub_t_timg:						{ img:	"sub_tinfo", x: 0, y: 0, w: 48, h: 64 },
	sub_t_star:						{ img:	"sub_tinfo", x: 0, y: 240, w: 8, h: 8 },
	sub_t_defence:				{ img:	"sub_tinfo", x: 25, y: 0, w: 25, h: 16 },
	sub_t_income:					{ img:	"sub_tinfo", x: 25, y: 16, w: 25, h: 16 },
	sub_t_repair:					{ img:	"sub_tinfo", x: 25, y: 32, w: 25, h: 16 },
	sub_t_repairtype:			{ img:	"sub_tinfo", x: 0, y: 0, w: 24, h: 16 },
	sub_t_movecost:				{ img:	"sub_tinfo", x: 32, y: 0, w: 32, h: 16 },
	sub_u_statusbg:				{ img:	"sub_uinfo", x: 0, y: 0, w: 136, h: 154 },
	sub_u_statusbg2:			{ img:	"sub_uinfo", x: 136, y: 0, w: 136, h: 154 },
	sub_u_move:						{ img:	"sub_uinfo", x: 32, y: 0, w: 32, h: 16 },
	sub_u_vision:					{ img:	"sub_uinfo", x: 32, y: 314, w: 32, h: 16 },
	sub_u_fuel:						{ img:	"sub_uinfo", x: 0, y: 330, w: 16, h: 16 },
	sub_u_slash:					{ img:	"sub_uinfo", x: 0, y: 346, w: 8, h: 8 },
	sub_u_wave:						{ img:	"sub_uinfo", x: 0, y: 354, w: 8, h: 8 },
	sub_u_range:					{ img:	"sub_uinfo", x: 0, y: 362, w: 32, h: 8 },
	sub_u_effectiveness:	{ img:	"sub_uinfo", x: 0, y: 0, w: 32, h: 32 },
	sub_u_utype:					{ img:	"sub_uinfo", x: 32, y: 0, w: 32, h: 32 },
	sub_m_bg:							{ img:	"sub_minfo", x: 0, y: 0, w: 56, h: 162 },
	sub_m_inf:						{ img:	"sub_minfo", x: 0, y: 0, w: 16, h: 16 },
	sub_day:							{ img:	"sub_minfo", x: 138, y: 162, w: 17, h: 15 },
	countryicon:					{ img:	"sub_minfo", x: 80, y: 0, w: 16, h: 16 },
	countryicon_wide:			{ img:	"sub_minfo", x: 96, y: 0, w: 29, h: 16 },
	main_menu_lu:					{ img:	"main", x: 0, y: 0, w: 4, h: 5 },
	main_menu_cu:					{ img:	"main", x: 8, y: 0, w: 0, h: 5 },
	main_menu_ru:					{ img:	"main", x: 4, y: 0, w: 4, h: 5 },
	main_menu_lm:					{ img:	"main", x: 0, y: 10, w: 4, h: 16 },
	main_menu_lms:				{ img:	"main", x: 0, y: 10, w: 2, h: 16 },
	main_menu_cm:					{ img:	"main", x: 8, y: 10, w: 0, h: 16 },
	main_menu_cm_noline:	{ img:	"main", x: 8, y: 12, w: 0, h: 8 },
	main_menu_cm_line:		{ img:	"main", x: 256, y: 10, w: 0, h: 16 },
	main_menu_rm:					{ img:	"main", x: 4, y: 10, w: 4, h: 16 },
	main_menu_rms:				{ img:	"main", x: 6, y: 10, w: 2, h: 16 },
	main_menu_ld:					{ img:	"main", x: 0, y: 5, w: 4, h: 5 },
	main_menu_cd:					{ img:	"main", x: 8, y: 5, w: 0, h: 5 },
	main_menu_rd:					{ img:	"main", x: 4, y: 5, w: 4, h: 5 },
	main_menu_icon:				{ img:	"main", x: 256, y: 0, w: 16, h: 16 },
	main_larrow_up:				{ img:	"main", x: 0, y: 138, w: 30, h: 18 },
	main_larrow_down:			{ img:	"main", x: 30, y: 138, w: 30, h: 18 },
	main_sarrow_up:				{ img:	"main", x: 60, y: 138, w: 16, h: 10 },
	main_sarrow_down:			{ img:	"main", x: 76, y: 138, w: 16, h: 10 },
	main_icon_force:			{ img:	"main", x: 92, y: 138, w: 14, h: 14 },
	main_sinfo_cdef:			{ img:	"main", x: 106, y: 138, w: 14, h: 14 },
	main_sinfo_rdef:			{ img:	"main", x: 120, y: 138, w: 14, h: 14 },
	main_sinfo_luck:			{ img:	"main", x: 134, y: 138, w: 14, h: 14 },
	main_gold:						{ img:	"main", x: 148, y: 138, w: 11, h: 8 },
	main_changemapsize:		{ img:	"main", x: 159, y: 138, w: 16, h: 16 },
	main_infinity:				{ img:	"main", x: 175, y: 138, w: 13, h: 7 },
	main_icon_forces:			{ img:	"main", x: 0, y: 90, w: 16, h: 16 },
	main_button_back:			{ img:	"main", x: 32, y: 156, w: 32, h: 32 },
	main_button_info:			{ img:	"main", x: 32, y: 188, w: 32, h: 32 },
	main_abutton:					{ img:	"main", x: 32, y: 220, w: 32, h: 16 },
	main_rbutton:					{ img:	"main", x: 32, y: 236, w: 32, h: 16 },
	main_bbutton:					{ img:	"main", x: 32, y: 252, w: 32, h: 16 },
	main_sinfo_help:			{ img:	"main", x: 128, y: 268, w: 128, h: 64 },
	main_encountanim:			{ img:	"main", x: 0, y: 0 },
	unit_large:						{ img:	"unitlarge", x: 0, y: 0 },
	atmosphere:						{ img:	"atmosphere", x: 0, y: 0 },
	atmosphere_cloud:			{ img:	"atmosphere", x: 0, y: 53, w: 128, h: 128 },
	terrain:							{ img:	"terrain", x: 0, y: 0, w: 16, h: 16 },
	unit:									{ img:	"unit", x: 0, y: 0, w: 16, h: 16 },
	number:								{ img:	"number", x: 0, y: 0 },
	font:									{ img:	"font", x: 0, y: 0, w: 8, h: 14 },
	shogunstatus_bg:			{ img:	"shogunstatus", x: 0, y: 0, w: 64, h: 16 },
	shogunstatus_sstar:		{ img:	"shogunstatus", x: 0, y: 80, w: 7, h: 7 },
	shogunstatus_lstar:		{ img:	"shogunstatus", x: 0, y: 136, w: 8, h: 9 },
	shogunstatus_break:		{ img:	"shogunstatus", x: 56, y: 192, w: 56, h: 16 },
	bg:										{ img:	"bg", x: 0, y: 0, w: 256, h: 320 },
	main_sinfo_bg:				{ img:	"bg", x: 256, y: 0, w: 256, h: 320 },
	sub_sinfo_box1:				{ img:	"sub_sinfo", x: 0, y: 0, w: 106, h: 47 },
	sub_sinfo_box2:				{ img:	"sub_sinfo", x: 0, y: 47, w: 106, h: 71 },
	sub_sinfo_star:				{ img:	"sub_sinfo", x: 0, y: 118, w: 13, h: 14 },
	shogun:								{ img:	"shogun", x: 0, y: 0, w: 144, h: 192 },
	main_msg_bg:					{ img:	"mainmsg", x: 0, y: 0, w: 256, h: 48 },
	shogun_name:					{ img:	"shogunname", x: 48, y: 0, w: 48, h: 16 },
	unit_status:					{ img:	"unitstatus", x: 0, y: 0, w: 8, h: 8 },
	cursor_rect:					{ img:	"cursor", x: 0, y: 0, w: 26, h: 26 },
	cursor_arrow:					{ img:	"cursor", x: 0, y: 0, w: 16, h: 16 },
	cursor_menu:					{ img:	"cursor", x: 0, y: 58, w: 8, h: 8 },
	cursor_msg:						{ img:	"cursor", x: 0, y: 258, w: 7, h: 6 },
	cursor_msg_yesno:			{ img:	"cursor", x: 7, y: 258, w: 6, h: 7 },
	cursor_move:					{ img:	"cursor", x: 0, y: 0, w: 16, h: 16 },
	cursor_target:				{ img:	"cursor", x: 0, y: 66, w: 32, h: 32 },
	cursor_missile:				{ img:	"cursor", x: 0, y: 178, w: 80, h: 80 },
	cursor_bbomb:					{ img:	"cursor", x: 0, y: 265, w: 112, h: 112 },
};
